; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;   Description: Complex test application for FreshLib the content may change arbitrary.
;
;   Target OS: All/Linux/Win32 - depending on current test needs.
;
;   Dependencies:
;
;   Notes: The main test program calls "PrepareDemo" procedure.
;_________________________________________________________________________________________

__TestGround:

iglobal

__TestData:
; This is a form template.
; It will be created by the visual editor.
; This template engine can contains any count of properties for every
; component of the template. Also it can contains non visual components
; such as action lists, image lists, etc.

TemplateMainForm:
        ObjTemplate  tfParent or tfEnd, Form, frmMain, \
                     x, 100,        \
                     y, 50,         \
                     width, 656,    \
                     height, 496,   \
                     Visible, TRUE, \
                     OnDestroy, FormOnDestroy,  \
                     Caption, 'Fresh portable Win32/Linux application test.'

          ObjTemplate  tfChild, Button, btnChild1,          \
                     x, 48,         \
                     y, 48,         \
                     width, 80,     \
                     height, 48,    \
                     TextAlign, dtfAlignLeft or dtfAlignMiddle or dtfCRLF or dtfWordWrap,\
                     Caption, 'Button1',        \
                     Visible, TRUE, \
                     OnClick, Button1Click

          ObjTemplate  tfChild, Button, btnChild3,          \
                     x, 48,         \
                     y, 112,         \
                     width, 80,     \
                     height, 48,    \
                     TextAlign, dtfAlignCenter or dtfAlignMiddle or dtfWordWrap,\
                     Caption, 'Stop/Start timer1',        \
                     Visible, TRUE, \
                     OnClick, Button3Click

          ObjTemplate  tfChild, Button, btnChild4,          \
                     x, 48,         \
                     y, 162,         \
                     width, 80,     \
                     height, 48,    \
                     TextAlign, dtfAlignCenter or dtfAlignMiddle or dtfWordWrap,\
                     Caption, 'Stop/Start timer2',        \
                     Visible, TRUE, \
                     OnClick, Button4Click

          ObjTemplate  tfChild, Edit, editChild1,          \
                     x, 48,         \
                     y, 8,         \
                     width, 294,     \
                     height, 21,    \
                     Caption, 'Edit1',        \
                     Visible, TRUE, \
                     Text, utf8_string

         ObjTemplate tfChild, Progress, Progress1,      \
                     x, 48, y, 262,                      \
                     width, 294, height, 21,              \
                     Color, $000080,                      \
                     Max, 1000, Pos, 350,                  \
                     Align, waBottom,                      \
                     Visible, TRUE

         ObjTemplate  tfChild or tfEnd, Button, btnChild2,          \
                     x, 140,         \
                     y, 48,         \
                     width, 202,     \
                     height, 202,        \
                     TextAlign, dtfAlignJustify or dtfAlignMiddle or dtfCRLF or dtfWordWrap,\
                     Caption, utf8_long,       \
                     Visible, TRUE,  \
                     OnClick, Button2Click


include "UTF8_examples.asm"


  cGifIcon file '_test_images/icon.gif'
  sizeof.cGifIcon = $ - cGifIcon


; example of menu structure - it is typical File menu.
; It should be created with CreateFromTemplate procedure.
; If can be child of some form as well and then it should
; appears as a main menu in the form.

;menuFile:
;    ObjTemplate tfParent or tfEnd, Menu, .PopupMenu1,        \
;                  caption, 'File'
;      ObjTemplate tfChild, MenuItem, .menuItemNew,  \
;                  kind, mikCommand,             \
;                  pAction, FileActions.actFileNew
;      ObjTemplate tfChild, MenuItem, .menuItemOpen,  \
;                  kind, mikCommand,      \
;                  pAction, FileActions.actFileOpen
;      ObjTemplate tfChild or tfParent, Menu, .menuReopen, \
;                  caption, 'Reopen'
;
;            ObjTemplate tfChild, MenuItem, .menuItemCleanup,     \
;                        kind, mikCommand,                         \
;                        pAction, FileActions.actReopenMenuCleanup
;
;            ObjTemplate tfChild or tfEnd, MenuItem, .menuSep1,   \
;                        kind, mikSeparator
;      ObjTemplate tfChild, MenuItem, .menuSep2,      \
;                  kind, mikSeparator
;      ObjTemplate tfChild, MenuItem, .menuItemSave,  \
;                  kind, mikCommand,                 \
;                  pAction, FileActions.actSave
;      ObjTemplate tfChild, MenuItem, .menuItemSaveAs,  \
;                  kind, mikCommand,                 \
;                  pAction, FileActions.actSaveAs
;      ObjTemplate tfChild, MenuItem, .menuItemSaveAll,  \
;                  kind, mikCommand,                 \
;                  pAction, FileActions.actSaveAll
;      ObjTemplate tfChild, MenuItem, .separator2,      \
;                  kind, mikSeparator
;      ObjTemplate tfChild or tfEnd, MenuItem, .menuItemExit,  \
;                  kind, mikCommand,                 \
;                  pAction, FileActions.actExit
;
; just for test

;ActionList FileActions,                                                     \
;  .actFileNew, '&New', 'Creates new file', 0, <Ctrl, 'N'>, NONE, NONE,      \
;  .actFileOpen, '&Open', 'Open file from disk', 0, <Ctrl, 'O'>, NONE, NONE, \
;  .actReopenMenuCleanup, 'Cleanup list', 'Cleans the reopen list.', 0, NONE, NONE, NONE, \
;  .actSave, '&Save', 'Save current file', 0, <Ctrl, 'S'>, NONE, NONE, \
;  .actSaveAs, 'Sa&ve as', 'Save current file with new name.', 0, <Ctrl+Alt, 'S'>, NONE, NONE, \
;  .actSaveAll, 'Save &All', 'Save all changed files.', 0, <Ctrl+Shift, 'S'>, NONE, NONE, \
;  .actExit, 'E&xit', 'Exit application', 0, <Alt, 'X'>, NONE, NONE


__TestDataSize = $ - __TestData

endg





; Sample event handlers. They work with other objects on the form.

proc FormOnDestroy, .self
begin
        DebugMsg "MainForm destroy event handler."
        stdcall TimerDestroy, [test_timer1]
        stdcall TimerDestroy, [test_timer2]
        return
endp


proc Button4Click, .self, .button
begin
        mov     ecx, [test_timer2]
        xor     [ecx+TTimer.flags], tmfRunning

        stdcall Set, [Progress1], TProgress.Pos, 0

        DebugMsg 'Button4 clicked'
        return
endp



proc Button3Click, .self, .button
begin
        mov     eax, [test_timer1]
        xor     [eax+TTimer.flags], tmfRunning

        DebugMsg 'Button3 clicked'
        return

        mov     ebx, [frmMain]

        stdcall Get, ebx, TWindow.x
        push    eax
        stdcall Get, ebx, TWindow.y
        push    eax

        stdcall Get, ebx, TWindow.borderKind
        xor     eax, 1
        stdcall Set, ebx, TWindow.borderKind, eax
        stdcall Set, [.self], TWindow.Caption, [_dual_caption+4*eax]

iglobal
  _dual_caption dd _cCaption1, _cCaption2

  _cCaption1 text 'Remove the title'
  _cCaption2 text 'Restore the title'
endg

; The old coordinates must be restored, because the window manager moves the window
; when restoring the title bar.
        stdcall Set, ebx, TWindow.y ; from the stack
        stdcall Set, ebx, TWindow.x ; from the stack

        return
endp




proc Button1Click, .self, .button
begin
        DebugMsg 'Button1 clicked'

        stdcall Get, [btnChild2], TButton.TextAlign
        mov     ecx, eax
        and     ecx, not $03
        inc     eax
        and     eax, 3
        or      eax, ecx
        stdcall Set, [btnChild2], TButton.TextAlign, eax

        stdcall Get, [btnChild1], TButton.Caption
        stdcall Set, [editChild1], TEdit.Text, eax
        stdcall StrDel, eax

iglobal
  cGifFile file '_test_images/test.gif'
  sizeof.cGifFile = $ - cGifFile
endg

        stdcall CreateImageGIF, cGifFile, sizeof.cGifFile
        mov     esi, eax

        mov     eax, [frmMain]
        stdcall AllocateContext, [eax+TWindow.handle]
        jc      .end
        push    eax
        stdcall SetDrawMode, eax, cmCopy
        stdcall DrawImage, eax, esi, 394, 0
        stdcall ReleaseContext ; from the stack

.end:
        stdcall DestroyImage, esi
        return
endp



proc Button2Click, .self, .button
begin
       DebugMsg 'Button2 clicked'

        stdcall Get, [btnChild1], TButton.IconPosition
        inc     eax
        and     eax, 3
        stdcall Set, [btnChild1], TButton.IconPosition, eax

        mov     eax, [_text_align_for_icon+4*eax]
        stdcall Set, [btnChild1], TButton.TextAlign, eax

iglobal
  _text_align_for_icon dd dtfAlignLeft or dtfAlignMiddle
                       dd dtfAlignRight or dtfAlignMiddle
                       dd dtfAlignCenter or dtfAlignTop
                       dd dtfAlignCenter or dtfAlignBottom
endg

        stdcall Get, [btnChild2], TButton.Caption
        stdcall Set, [editChild1], TEdit.Text, eax
        stdcall StrDel, eax

        return
endp



uglobal
  test_timer1 dd ?
  test_timer2 dd ?
endg



proc procTestTimer1, .ptrTimer
begin
        stdcall Get, [btnChild1], TButton.IconPosition
        and     eax, 3
        mov     eax, [__align4+4*eax]
        stdcall Set, [btnChild1], TButton.IconPosition, eax

        mov     eax, [_text_align_for_icon+4*eax]
        stdcall Set, [btnChild1], TButton.TextAlign, eax
        return
endp

iglobal
  __align4 dd AlignTop, AlignBottom, AlignRight, AlignLeft
endg

uglobal
  Flag dd ?
  .Y dd ?
  .X dd ?
  .incX dd ?
  .incY dd ?
endg




proc procTestTimer2, .ptrTimer
.width dd ?
.height dd ?
begin

        execute [Progress1], TProgress.Step
;        stdcall Get, [Progress1], TProgress.Pos
;        mov     ecx, eax
;        stdcall Get, [Progress1], TProgress.Max
;
;        inc     ecx
;        cmp     ecx, eax
;        jle     @f
;        xor     ecx, ecx
;@@:
;        stdcall Set, [Progress1], TProgress.Pos, ecx

;        DebugMsg "Timer2 enter"

        mov     eax, [frmMain]
        stdcall AllocateContext, [eax+TWindow.handle]
        jc      .exit
        mov     ebx, eax

        stdcall Get, [frmMain], TWindow.width
        sub     eax, 16
        mov     [.width], eax
        stdcall Get, [frmMain], TWindow.height
        sub     eax, 16
        mov     [.height], eax

        stdcall DrawFillRect, ebx, [Flag.X], [Flag.Y], 16, 16, $ff0000  ;c0c0c0

        mov     eax, [Flag.X]
        add     eax, [Flag.incX]
        js      .backx
        cmp     eax, [.width]
        jg      .backx

        mov     [Flag.X], eax
        jmp     .xok

.backx:
        neg     [Flag.incX]

.xok:
        mov     eax, [Flag.Y]
        add     eax, [Flag.incY]
        js      .backy
        cmp     eax, [.height]
        jg      .backy

        mov     [Flag.Y], eax
        jmp     .yok

.backy:
        neg     [Flag.incY]
.yok:
        stdcall SetDrawMode, ebx, cmCopy
        stdcall DrawImage, ebx, [Flag], [Flag.X], [Flag.Y]

        stdcall ReleaseContext, ebx

;        DebugMsg "Timer2 exit"
.exit:
        return
endp






proc PrepareDemo
begin
;        stdcall CaretAttach, 0

        stdcall CreateFromTemplate, TemplateMainForm, 0
        mov     ecx, [Application]
        mov     [ecx+TApplication.MainWindow], frmMain

        stdcall CreateImageGIF, cGifIcon, sizeof.cGifIcon
        stdcall Set, [btnChild1], TButton.Icon, eax
        stdcall Set, [btnChild1], TButton.IconPosition, AlignLeft

; the timers must be created before application start.
; I don't know why.
; Maybe it is safe to create timers in some event handlers... should be checked.
;
        stdcall CreateImageGIF, cGifIcon, sizeof.cGifIcon
        mov     [Flag], eax

        mov     [Flag.X], 120
        mov     [Flag.Y], 0
        mov     [Flag.incX], 1
        mov     [Flag.incY], 1


        stdcall TimerCreate
        mov     [test_timer1], eax
        mov     [eax+TTimer.interval], 100
        mov     [eax+TTimer.Callback], procTestTimer1
        mov     [eax+TTimer.flags], tmfCallProc

        stdcall TimerCreate
        mov     [test_timer2], eax
        mov     [eax+TTimer.interval], 2
        mov     [eax+TTimer.value], 0
        mov     [eax+TTimer.Callback], procTestTimer2
        mov     [eax+TTimer.flags], tmfCallProc

;
;        mov     eax, [test_timer1]
;        or     [eax+TTimer.flags], tmfRunning
;        mov     eax, [test_timer2]
;        or     [eax+TTimer.flags], tmfRunning
        return
endp


DispSize 'Test ground dummy code:', ($-__TestGround)+__TestDataSize