; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: Library for converting UTF8 to and from WideChar
;
;  Target OS: Win32
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________


;-----------------------------------------------------------
; Returns:
;    eax - pointer to the widechar string.
;    ecx - length of the widechar string in characters.
;-----------------------------------------------------------
proc utf8ToWideChar, .hString
begin
        push    edx edi

        stdcall StrLen, [.hString]
        mov     ecx, eax

        mov     edx, eax
        shl     edx, 2
        stdcall GetMem, edx
        mov     edi, eax

        stdcall StrPtr, [.hString]

        sar     edx, 1
        invoke  MultiByteToWideChar, CP_UTF8, 0, eax, ecx, edi, edx
        mov     ecx, eax
        mov     eax, edi

        pop     edi edx
        return
endp