; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: odbc32.dll API calls
;
;  Target OS: Win32
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________

import_proto odbc32,  \
    CloseODBCPerfData, N, <NONE>,  'CloseODBCPerfData',  \
    CollectODBCPerfData, N, <NONE>,  'CollectODBCPerfData',  \
    CursorLibLockDbc, N, <NONE>,  'CursorLibLockDbc',  \
    CursorLibLockDesc, N, <NONE>,  'CursorLibLockDesc',  \
    CursorLibLockStmt, N, <NONE>,  'CursorLibLockStmt',  \
    CursorLibTransact, N, <NONE>,  'CursorLibTransact',  \
    DllBidEntryPoint, N, <NONE>,  'DllBidEntryPoint',  \
    GetODBCSharedData, N, <NONE>,  'GetODBCSharedData',  \
    LockHandle, N, <NONE>,  'LockHandle',  \
    MpHeapAlloc, N, <NONE>,  'MpHeapAlloc',  \
    MpHeapCompact, N, <NONE>,  'MpHeapCompact',  \
    MpHeapCreate, N, <NONE>,  'MpHeapCreate',  \
    MpHeapDestroy, N, <NONE>,  'MpHeapDestroy',  \
    MpHeapFree, N, <NONE>,  'MpHeapFree',  \
    MpHeapReAlloc, N, <NONE>,  'MpHeapReAlloc',  \
    MpHeapSize, N, <NONE>,  'MpHeapSize',  \
    MpHeapValidate, N, <NONE>,  'MpHeapValidate',  \
    ODBCGetTryWaitValue, N, <VOID>,  'ODBCGetTryWaitValue',  \
    ODBCInternalConnect, W, <NONE>,  'ODBCInternalConnectW',  \
    ODBCQualifyFileDSN, W, <NONE>,  'ODBCQualifyFileDSNW',  \
    ODBCSetTryWaitValue, N, <.dwValue>,  'ODBCSetTryWaitValue',  \
    OpenODBCPerfData, N, <NONE>,  'OpenODBCPerfData',  \
    PostComponentError, N, <NONE>,  'PostComponentError',  \
    PostODBCComponentError, N, <NONE>,  'PostODBCComponentError',  \
    PostODBCError, N, <NONE>,  'PostODBCError',  \
    SQLAllocConnect, N, <.henv, .phdbc>,  'SQLAllocConnect',  \
    SQLAllocEnv, N, <.phenv>,  'SQLAllocEnv',  \
    SQLAllocHandle, N, <.HandleType, .InputHandle, .OutputHandle>,  'SQLAllocHandle',  \
    SQLAllocHandleStd, N, <.fHandleType, .hInput, .phOutput>,  'SQLAllocHandleStd',  \
    SQLAllocStmt, N, <.hdbc, .phstmt>,  'SQLAllocStmt',  \
    SQLBindCol, N, <.hstmt, .icol, .fCType, .rgbValue, .cbValueMax, .pcbValue>,  'SQLBindCol',  \
    SQLBindParam, N, <.StatementHandle, .ParameterNumber, .ValueType, .ParameterType, .LengthPrecision, .ParameterScale, .ParameterValue, .StrLen_or_Ind>,  'SQLBindParam',  \
    SQLBindParameter, N, <.hstmt, .ipar, .fParamType, .fCType, .fSqlType, .cbColDef, .ibScale, .rgbValue, .cbValueMax, .pcbValue>,  'SQLBindParameter',  \
    SQLBrowseConnect, N, <.hdbc, .szConnStrIn, .cbConnStrIn, .szConnStrOut, .cbConnStrOutMax, .pcbConnStrOut>,  'SQLBrowseConnect',  \
    SQLBrowseConnect, A, <.hdbc, .szConnStrIn, .cbConnStrIn, .szConnStrOut, .cbConnStrOutMax, .pcbConnStrOut>,  'SQLBrowseConnectA',  \
    SQLBrowseConnect, W, <.hdbc, .szConnStrIn, .cbConnStrIn, .szConnStrOut, .cbConnStrOutMax, .pcbConnStrOut>,  'SQLBrowseConnectW',  \
    SQLBulkOperations, N, <.StatementHandle, .Operation>,  'SQLBulkOperations',  \
    SQLCancel, N, <.hstmt>,  'SQLCancel',  \
    SQLCloseCursor, N, <.StatementHandle>,  'SQLCloseCursor',  \
    SQLColAttribute, N, <.hstmt, .iCol, .iField, .pCharAttr, .cbCharAttrMax, .pcbCharAttr, .pNumAttr>,  'SQLColAttribute',  \
    SQLColAttribute, A, <.hstmt, .iCol, .iField, .pCharAttr, .cbCharAttrMax, .pcbCharAttr, .pNumAttr>,  'SQLColAttributeA',  \
    SQLColAttribute, W, <.hstmt, .iCol, .iField, .pCharAttr, .cbCharAttrMax, .pcbCharAttr, .pNumAttr>,  'SQLColAttributeW',  \
    SQLColAttributes, N, <.hstmt, .icol, .fDescType, .rgbDesc, .cbDescMax, .pcbDesc, .pfDesc>,  'SQLColAttributes',  \
    SQLColAttributes, A, <.hstmt, .icol, .fDescType, .rgbDesc, .cbDescMax, .pcbDesc, .pfDesc>,  'SQLColAttributesA',  \
    SQLColAttributes, W, <.hstmt, .icol, .fDescType, .rgbDesc, .cbDescMax, .pcbDesc, .pfDesc>,  'SQLColAttributesW',  \
    SQLColumnPrivileges, N, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .szColumnName, .cbColumnName>,  'SQLColumnPrivileges',  \
    SQLColumnPrivileges, A, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .szColumnName, .cbColumnName>,  'SQLColumnPrivilegesA',  \
    SQLColumnPrivileges, W, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .szColumnName, .cbColumnName>,  'SQLColumnPrivilegesW',  \
    SQLColumns, N, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .szColumnName, .cbColumnName>,  'SQLColumns',  \
    SQLColumns, A, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .szColumnName, .cbColumnName>,  'SQLColumnsA',  \
    SQLColumns, W, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .szColumnName, .cbColumnName>,  'SQLColumnsW',  \
    SQLConnect, N, <.hdbc, .szDSN, .cbDSN, .szUID, .cbUID, .szAuthStr, .cbAuthStr>,  'SQLConnect',  \
    SQLConnect, A, <.hdbc, .szDSN, .cbDSN, .szUID, .cbUID, .szAuthStr, .cbAuthStr>,  'SQLConnectA',  \
    SQLConnect, W, <.hdbc, .szDSN, .cbDSN, .szUID, .cbUID, .szAuthStr, .cbAuthStr>,  'SQLConnectW',  \
    SQLCopyDesc, N, <.SourceDescHandle, .TargetDescHandle>,  'SQLCopyDesc',  \
    SQLDataSources, N, <.henv, .fDirection, .szDSN, .cbDSNMax, .pcbDSN, .szDescription, .cbDescriptionMax, .pcbDescription>,  'SQLDataSources',  \
    SQLDataSources, A, <.henv, .fDirection, .szDSN, .cbDSNMax, .pcbDSN, .szDescription, .cbDescriptionMax, .pcbDescription>,  'SQLDataSourcesA',  \
    SQLDataSources, W, <.henv, .fDirection, .szDSN, .cbDSNMax, .pcbDSN, .szDescription, .cbDescriptionMax, .pcbDescription>,  'SQLDataSourcesW',  \
    SQLDescribeCol, N, <.hstmt, .icol, .szColName, .cbColNameMax, .pcbColName, .pfSqlType, .pcbColDef, .pibScale, .pfNullable>,  'SQLDescribeCol',  \
    SQLDescribeCol, A, <.hstmt, .icol, .szColName, .cbColNameMax, .pcbColName, .pfSqlType, .pcbColDef, .pibScale, .pfNullable>,  'SQLDescribeColA',  \
    SQLDescribeCol, W, <.hstmt, .icol, .szColName, .cbColNameMax, .pcbColName, .pfSqlType, .pcbColDef, .pibScale, .pfNullable>,  'SQLDescribeColW',  \
    SQLDescribeParam, N, <.hstmt, .ipar, .pfSqlType, .pcbParamDef, .pibScale, .pfNullable>,  'SQLDescribeParam',  \
    SQLDisconnect, N, <.hdbc>,  'SQLDisconnect',  \
    SQLDriverConnect, N, <.hdbc, .hwnd, .szConnStrIn, .cbConnStrIn, .szConnStrOut, .cbConnStrOutMax, .pcbConnStrOut, .fDriverCompletion>,  'SQLDriverConnect',  \
    SQLDriverConnect, A, <.hdbc, .hwnd, .szConnStrIn, .cbConnStrIn, .szConnStrOut, .cbConnStrOutMax, .pcbConnStrOut, .fDriverCompletion>,  'SQLDriverConnectA',  \
    SQLDriverConnect, W, <.hdbc, .hwnd, .szConnStrIn, .cbConnStrIn, .szConnStrOut, .cbConnStrOutMax, .pcbConnStrOut, .fDriverCompletion>,  'SQLDriverConnectW',  \
    SQLDrivers, N, <.henv, .fDirection, .szDriverDesc, .cbDriverDescMax, .pcbDriverDesc, .szDriverAttributes, .cbDrvrAttrMax, .pcbDrvrAttr>,  'SQLDrivers',  \
    SQLDrivers, A, <.henv, .fDirection, .szDriverDesc, .cbDriverDescMax, .pcbDriverDesc, .szDriverAttributes, .cbDrvrAttrMax, .pcbDrvrAttr>,  'SQLDriversA',  \
    SQLDrivers, W, <.henv, .fDirection, .szDriverDesc, .cbDriverDescMax, .pcbDriverDesc, .szDriverAttributes, .cbDrvrAttrMax, .pcbDrvrAttr>,  'SQLDriversW',  \
    SQLEndTran, N, <.HandleType, .handle, .CompletionType>,  'SQLEndTran',  \
    SQLError, N, <.henv, .hdbc, .hstmt, .szSqlState, .pfNativeError, .szErrorMsg, .cbErrorMsgMax, .pcbErrorMsg>,  'SQLError',  \
    SQLError, A, <.henv, .hdbc, .hstmt, .szSqlState, .pfNativeError, .szErrorMsg, .cbErrorMsgMax, .pcbErrorMsg>,  'SQLErrorA',  \
    SQLError, W, <.henv, .hdbc, .hstmt, .szSqlState, .pfNativeError, .szErrorMsg, .cbErrorMsgMax, .pcbErrorMsg>,  'SQLErrorW',  \
    SQLExecDirect, N, <.hstmt, .szSqlStr, .cbSqlStr>,  'SQLExecDirect',  \
    SQLExecDirect, A, <.hstmt, .szSqlStr, .cbSqlStr>,  'SQLExecDirectA',  \
    SQLExecDirect, W, <.hstmt, .szSqlStr, .cbSqlStr>,  'SQLExecDirectW',  \
    SQLExecute, N, <.hstmt>,  'SQLExecute',  \
    SQLExtendedFetch, N, <.hstmt, .fFetchType, .irow, .pcrow, .rgfRowStatus>,  'SQLExtendedFetch',  \
    SQLFetch, N, <.hstmt>,  'SQLFetch',  \
    SQLFetchScroll, N, <.StatementHandle, .FetchOrientation, .FetchOffset>,  'SQLFetchScroll',  \
    SQLForeignKeys, N, <.hstmt, .szPkCatalogName, .cbPkCatalogName, .szPkSchemaName, .cbPkSchemaName, .szPkTableName, .cbPkTableName, .szFkCatalogName, .cbFkCatalogName, .szFkSchemaName, .cbFkSchemaName, .szFkTableName, .cbFkTableName>,  'SQLForeignKeys',
    SQLForeignKeys, A, <.hstmt, .szPkCatalogName, .cbPkCatalogName, .szPkSchemaName, .cbPkSchemaName, .szPkTableName, .cbPkTableName, .szFkCatalogName, .cbFkCatalogName, .szFkSchemaName, .cbFkSchemaName, .szFkTableName, .cbFkTableName>,  'SQLForeignKeysA',
    SQLForeignKeys, W, <.hstmt, .szPkCatalogName, .cbPkCatalogName, .szPkSchemaName, .cbPkSchemaName, .szPkTableName, .cbPkTableName, .szFkCatalogName, .cbFkCatalogName, .szFkSchemaName, .cbFkSchemaName, .szFkTableName, .cbFkTableName>,  'SQLForeignKeysW',
    SQLFreeConnect, N, <.hdbc>,  'SQLFreeConnect',  \
    SQLFreeEnv, N, <.henv>,  'SQLFreeEnv',  \
    SQLFreeHandle, N, <.HandleType, .handle>,  'SQLFreeHandle',  \
    SQLFreeStmt, N, <.hstmt, .fOption>,  'SQLFreeStmt',  \
    SQLGetConnectAttr, N, <.ConnectionHandle, .lAttribute, .lValue, .BufferLength, .StringLength>,  'SQLGetConnectAttr',  \
    SQLGetConnectAttr, A, <.ConnectionHandle, .lAttribute, .lValue, .BufferLength, .StringLength>,  'SQLGetConnectAttrA',  \
    SQLGetConnectAttr, W, <.ConnectionHandle, .lAttribute, .lValue, .BufferLength, .StringLength>,  'SQLGetConnectAttrW',  \
    SQLGetConnectOption, N, <.hdbc, .fOption, .pvParam>,  'SQLGetConnectOption',  \
    SQLGetConnectOption, A, <.hdbc, .fOption, .pvParam>,  'SQLGetConnectOptionA',  \
    SQLGetConnectOption, W, <.hdbc, .fOption, .pvParam>,  'SQLGetConnectOptionW',  \
    SQLGetCursorName, N, <.hstmt, .szCursor, .cbCursorMax, .pcbCursor>,  'SQLGetCursorName',  \
    SQLGetCursorName, A, <.hstmt, .szCursor, .cbCursorMax, .pcbCursor>,  'SQLGetCursorNameA',  \
    SQLGetCursorName, W, <.hstmt, .szCursor, .cbCursorMax, .pcbCursor>,  'SQLGetCursorNameW',  \
    SQLGetData, N, <.hstmt, .icol, .fCType, .rgbValue, .cbValueMax, .pcbValue>,  'SQLGetData',  \
    SQLGetDescField, N, <.hdesc, .iRecord, .iField, .rgbValue, .cbValueMax, .pcbValue>,  'SQLGetDescField',  \
    SQLGetDescField, A, <.hdesc, .iRecord, .iField, .rgbValue, .cbValueMax, .pcbValue>,  'SQLGetDescFieldA',  \
    SQLGetDescField, W, <.hdesc, .iRecord, .iField, .rgbValue, .cbValueMax, .pcbValue>,  'SQLGetDescFieldW',  \
    SQLGetDescRec, N, <.hdesc, .iRecord, .szName, .cbNameMax, .pcbName, .pfType, .pfSubType, .pLength, .pPrecision, .pScale, .pNullable>,  'SQLGetDescRec',  \
    SQLGetDescRec, A, <.hdesc, .iRecord, .szName, .cbNameMax, .pcbName, .pfType, .pfSubType, .pLength, .pPrecision, .pScale, .pNullable>,  'SQLGetDescRecA',  \
    SQLGetDescRec, W, <.hdesc, .iRecord, .szName, .cbNameMax, .pcbName, .pfType, .pfSubType, .pLength, .pPrecision, .pScale, .pNullable>,  'SQLGetDescRecW',  \
    SQLGetDiagField, N, <.HandleType, .handle, .RecNumber, .DiagIdentifier, .DiagInfo, .BufferLength, .StringLength>,  'SQLGetDiagField',  \
    SQLGetDiagField, A, <.HandleType, .handle, .RecNumber, .DiagIdentifier, .DiagInfo, .BufferLength, .StringLength>,  'SQLGetDiagFieldA',  \
    SQLGetDiagField, W, <.HandleType, .handle, .RecNumber, .DiagIdentifier, .DiagInfo, .BufferLength, .StringLength>,  'SQLGetDiagFieldW',  \
    SQLGetDiagRec, N, <.fHandleType, .handle, .iRecord, .szSqlState, .pfNativeError, .szErrorMsg, .cbErrorMsgMax, .pcbErrorMsg>,  'SQLGetDiagRec',  \
    SQLGetDiagRec, A, <.fHandleType, .handle, .iRecord, .szSqlState, .pfNativeError, .szErrorMsg, .cbErrorMsgMax, .pcbErrorMsg>,  'SQLGetDiagRecA',  \
    SQLGetDiagRec, W, <.fHandleType, .handle, .iRecord, .szSqlState, .pfNativeError, .szErrorMsg, .cbErrorMsgMax, .pcbErrorMsg>,  'SQLGetDiagRecW',  \
    SQLGetEnvAttr, N, <.EnvironmentHandle, .lAttribute, .lValue, .BufferLength, .StringLength>,  'SQLGetEnvAttr',  \
    SQLGetFunctions, N, <.hdbc, .fFunction, .pfExists>,  'SQLGetFunctions',  \
    SQLGetInfo, N, <.hdbc, .fInfoType, .rgbInfoValue, .cbInfoValueMax, .pcbInfoValue>,  'SQLGetInfo',  \
    SQLGetInfo, A, <.hdbc, .fInfoType, .rgbInfoValue, .cbInfoValueMax, .pcbInfoValue>,  'SQLGetInfoA',  \
    SQLGetInfo, W, <.hdbc, .fInfoType, .rgbInfoValue, .cbInfoValueMax, .pcbInfoValue>,  'SQLGetInfoW',  \
    SQLGetStmtAttr, N, <.hstmt, .fAttribute, .rgbValue, .cbValueMax, .pcbValue>,  'SQLGetStmtAttr',  \
    SQLGetStmtAttr, A, <.hstmt, .fAttribute, .rgbValue, .cbValueMax, .pcbValue>,  'SQLGetStmtAttrA',  \
    SQLGetStmtAttr, W, <.hstmt, .fAttribute, .rgbValue, .cbValueMax, .pcbValue>,  'SQLGetStmtAttrW',  \
    SQLGetStmtOption, N, <.hstmt, .fOption, .pvParam>,  'SQLGetStmtOption',  \
    SQLGetTypeInfo, N, <.hstmt, .fSqlType>,  'SQLGetTypeInfo',  \
    SQLGetTypeInfo, A, <.hstmt, .fSqlType>,  'SQLGetTypeInfoA',  \
    SQLGetTypeInfo, W, <.hstmt, .fSqlType>,  'SQLGetTypeInfoW',  \
    SQLMoreResults, N, <.hstmt>,  'SQLMoreResults',  \
    SQLNativeSql, N, <.hdbc, .szSqlStrIn, .cbSqlStrIn, .szSqlStr, .cbSqlStrMax, .pcbSqlStr>,  'SQLNativeSql',  \
    SQLNativeSql, A, <.hdbc, .szSqlStrIn, .cbSqlStrIn, .szSqlStr, .cbSqlStrMax, .pcbSqlStr>,  'SQLNativeSqlA',  \
    SQLNativeSql, W, <.hdbc, .szSqlStrIn, .cbSqlStrIn, .szSqlStr, .cbSqlStrMax, .pcbSqlStr>,  'SQLNativeSqlW',  \
    SQLNumParams, N, <.hstmt, .pcpar>,  'SQLNumParams',  \
    SQLNumResultCols, N, <.hstmt, .pccol>,  'SQLNumResultCols',  \
    SQLParamData, N, <.hstmt, .prgbValue>,  'SQLParamData',  \
    SQLParamOptions, N, <.hstmt, .crow, .pirow>,  'SQLParamOptions',  \
    SQLPrepare, N, <.hstmt, .szSqlStr, .cbSqlStr>,  'SQLPrepare',  \
    SQLPrepare, A, <.hstmt, .szSqlStr, .cbSqlStr>,  'SQLPrepareA',  \
    SQLPrepare, W, <.hstmt, .szSqlStr, .cbSqlStr>,  'SQLPrepareW',  \
    SQLPrimaryKeys, N, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName>,  'SQLPrimaryKeys',  \
    SQLPrimaryKeys, A, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName>,  'SQLPrimaryKeysA',  \
    SQLPrimaryKeys, W, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName>,  'SQLPrimaryKeysW',  \
    SQLProcedureColumns, N, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szProcName, .cbProcName, .szColumnName, .cbColumnName>,  'SQLProcedureColumns',  \
    SQLProcedureColumns, A, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szProcName, .cbProcName, .szColumnName, .cbColumnName>,  'SQLProcedureColumnsA',  \
    SQLProcedureColumns, W, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szProcName, .cbProcName, .szColumnName, .cbColumnName>,  'SQLProcedureColumnsW',  \
    SQLProcedures, N, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szProcName, .cbProcName>,  'SQLProcedures',  \
    SQLProcedures, A, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szProcName, .cbProcName>,  'SQLProceduresA',  \
    SQLProcedures, W, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szProcName, .cbProcName>,  'SQLProceduresW',  \
    SQLPutData, N, <.hstmt, .rgbValue, .cbValue>,  'SQLPutData',  \
    SQLRowCount, N, <.hstmt, .pcrow>,  'SQLRowCount',  \
    SQLSetConnectAttr, N, <.hdbc, .fAttribute, .rgbValue, .cbValue>,  'SQLSetConnectAttr',  \
    SQLSetConnectAttr, A, <.hdbc, .fAttribute, .rgbValue, .cbValue>,  'SQLSetConnectAttrA',  \
    SQLSetConnectAttr, W, <.hdbc, .fAttribute, .rgbValue, .cbValue>,  'SQLSetConnectAttrW',  \
    SQLSetConnectOption, N, <.hdbc, .fOption, .vParam>,  'SQLSetConnectOption',  \
    SQLSetConnectOption, A, <.hdbc, .fOption, .vParam>,  'SQLSetConnectOptionA',  \
    SQLSetConnectOption, W, <.hdbc, .fOption, .vParam>,  'SQLSetConnectOptionW',  \
    SQLSetCursorName, N, <.hstmt, .szCursor, .cbCursor>,  'SQLSetCursorName',  \
    SQLSetCursorName, A, <.hstmt, .szCursor, .cbCursor>,  'SQLSetCursorNameA',  \
    SQLSetCursorName, W, <.hstmt, .szCursor, .cbCursor>,  'SQLSetCursorNameW',  \
    SQLSetDescField, N, <.DescriptorHandle, .RecNumber, .FieldIdentifier, .Value, .BufferLength>,  'SQLSetDescField',  \
    SQLSetDescField, A, <.DescriptorHandle, .RecNumber, .FieldIdentifier, .Value, .BufferLength>,  'SQLSetDescFieldA',  \
    SQLSetDescField, W, <.DescriptorHandle, .RecNumber, .FieldIdentifier, .Value, .BufferLength>,  'SQLSetDescFieldW',  \
    SQLSetDescRec, N, <.DescriptorHandle, .RecNumber, .lType, .SubType, .Length, .Precision, .kScale, .Data, .StringLength, .Indicator>,  'SQLSetDescRec',  \
    SQLSetEnvAttr, N, <.EnvironmentHandle, .lAttribute, .Value, .StringLength>,  'SQLSetEnvAttr',  \
    SQLSetParam, N, <.hstmt, .ipar, .fCType, .fSqlType, .cbParamDef, .ibScale, .rgbValue, .pcbValue>,  'SQLSetParam',  \
    SQLSetPos, N, <.hstmt, .irow, .fOption, .fLock>,  'SQLSetPos',  \
    SQLSetScrollOptions, N, <.hstmt, .fConcurrency, .crowKeyset, .crowRowset>,  'SQLSetScrollOptions',  \
    SQLSetStmtAttr, N, <.StatementHandle, .lAttribute, .Value, .StringLength>,  'SQLSetStmtAttr',  \
    SQLSetStmtAttr, A, <.StatementHandle, .lAttribute, .Value, .StringLength>,  'SQLSetStmtAttrA',  \
    SQLSetStmtAttr, W, <.StatementHandle, .lAttribute, .Value, .StringLength>,  'SQLSetStmtAttrW',  \
    SQLSetStmtOption, N, <.hstmt, .fOption, .vParam>,  'SQLSetStmtOption',  \
    SQLSpecialColumns, N, <.hstmt, .fColType, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .fScope, .fNullable>,  'SQLSpecialColumns',  \
    SQLSpecialColumns, A, <.hstmt, .fColType, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .fScope, .fNullable>,  'SQLSpecialColumnsA',  \
    SQLSpecialColumns, W, <.hstmt, .fColType, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .fScope, .fNullable>,  'SQLSpecialColumnsW',  \
    SQLStatistics, N, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .fUnique, .fAccuracy>,  'SQLStatistics',  \
    SQLStatistics, A, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .fUnique, .fAccuracy>,  'SQLStatisticsA',  \
    SQLStatistics, W, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .fUnique, .fAccuracy>,  'SQLStatisticsW',  \
    SQLTablePrivileges, N, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName>,  'SQLTablePrivileges',  \
    SQLTablePrivileges, A, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName>,  'SQLTablePrivilegesA',  \
    SQLTablePrivileges, W, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName>,  'SQLTablePrivilegesW',  \
    SQLTables, N, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .szTableType, .cbTableType>,  'SQLTables',  \
    SQLTables, A, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .szTableType, .cbTableType>,  'SQLTablesA',  \
    SQLTables, W, <.hstmt, .szCatalogName, .cbCatalogName, .szSchemaName, .cbSchemaName, .szTableName, .cbTableName, .szTableType, .cbTableType>,  'SQLTablesW',  \
    SQLTransact, N, <.henv, .hdbc, .fType>,  'SQLTransact',  \
    SearchStatusCode, N, <NONE>,  'SearchStatusCode',  \
    VFreeErrors, N, <NONE>,  'VFreeErrors',  \
    VRetrieveDriverErrorsRowCol, N, <NONE>,  'VRetrieveDriverErrorsRowCol',  \
    ValidateErrorQueue, N, <NONE>,  'ValidateErrorQueue',  \
    g_hHeapMalloc, N, <NONE>,  'g_hHeapMalloc'
