; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: sqlite3.dll API calls
;
;  Target OS: Win32
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________


import_proto sqlite3,  \
    sqliteAggregateContext, N, <.context, .nbytes>,  'sqlite3_aggregate_context',  \
    sqliteAggregateCount_OLD, N, <NONE>,  'sqlite3_aggregate_count',  \
    sqliteAutoExtension, N, <.ptrCallback>,  'sqlite3_auto_extension',  \
    sqliteBackupFinish, N, <.ptrBackup>,  'sqlite3_backup_finish',  \
    sqliteBackupInit, N, <.ptrDestDB, .ptrDestName, .ptrSourceDB, .ptrSourceName>,  'sqlite3_backup_init',  \
    sqliteBackupPageCount, N, <.ptrBackup>,  'sqlite3_backup_pagecount',  \
    sqliteBackupRemaining, N, <.ptrBackup>,  'sqlite3_backup_remaining',  \
    sqliteBackupStep, N, <.ptrBackup, .nPage>,  'sqlite3_backup_step',  \
    sqliteBindBlob, N, <.stmt, .index, .ptrData, .nbytes, .destructor>,  'sqlite3_bind_blob',  \
    sqliteBindDouble, N, <.stmt, .index, .value>,  'sqlite3_bind_double',  \
    sqliteBindInt, N, <.stmt, .index, .value>,  'sqlite3_bind_int',  \
    sqliteBindInt64, N, <.stmt, .index, .valueLo, .valueHi>,  'sqlite3_bind_int64',  \
    sqliteBindNull, N, <.stmt, .index>,  'sqlite3_bind_null',  \
    sqliteBindParameterCount, N, <.stmt>,  'sqlite3_bind_parameter_count',  \
    sqliteBindParameterIndex, N, <.stmt, .paramName>,  'sqlite3_bind_parameter_index',  \
    sqliteBindParameterName, N, <.stmt, .paramIndex>,  'sqlite3_bind_parameter_name',  \
    sqliteBindText, N, <.stmt, .index, .ptrText, .nbytes, .destructor>,  'sqlite3_bind_text',  \
    sqliteBindText16, N, <.stmt, .index, .ptrText, .nbytes, .destructor>,  'sqlite3_bind_text16',  \
    sqliteBindValue, N, <.stmt, .index, .ptrValue>,  'sqlite3_bind_value',  \
    sqliteBindZeroblob, N, <.stmt, .index, .size>,  'sqlite3_bind_zeroblob',  \
    sqliteBlobBytes, N, <.hBlob>,  'sqlite3_blob_bytes',  \
    sqliteBlobClose, N, <.hBlob>,  'sqlite3_blob_close',  \
    sqliteBlobOpen, N, <.ptrDB, .DBname, .Table, .Column, .iRow, .flags, .ptrVarBlob>,  'sqlite3_blob_open',  \
    sqliteBlobRead, N, <.hBlob, .ptrBuffer, .bytes, .iOffset>,  'sqlite3_blob_read',  \
    sqliteBlobWrite, N, <.hBlob, .ptrBuffer, .bytes, .iOffset>,  'sqlite3_blob_write',  \
    sqliteBusyHandler, N, <.ptrDB, .ptrProc, .lParam>,  'sqlite3_busy_handler',  \
    sqliteBusyTimeout, N, <.ptrDB, .time_ms>,  'sqlite3_busy_timeout',  \
    sqliteChanges, N, <.ptrDB>,  'sqlite3_changes',  \
    sqliteClearBindings, N, <.stmt>,  'sqlite3_clear_bindings',  \
    sqliteClose, N, <.ptrDatabase>,  'sqlite3_close',  \
    sqliteCollationNeeded, N, <.ptrDB, .lparam, .ptrCallback>,  'sqlite3_collation_needed',  \
    sqliteCollationNeeded16, N, <.ptrDB, .lparam, .ptrCallback>,  'sqlite3_collation_needed16',  \
    sqliteColumnBlob, N, <.stmt, .iCol>,  'sqlite3_column_blob',  \
    sqliteColumnBytes, N, <.stmt, .iCol>,  'sqlite3_column_bytes',  \
    sqliteColumnBytes16, N, <.stmt, .iCol>,  'sqlite3_column_bytes16',  \
    sqliteColumnCount, N, <.stmt>,  'sqlite3_column_count',  \
    sqliteColumnDatabaseName, N, <.stmt, .index>,  'sqlite3_column_database_name',  \
    sqliteColumnDatabaseName16, N, <.stmt, .index>,  'sqlite3_column_database_name16',  \
    sqliteColumnDeclType, N, <.stmt, .index>,  'sqlite3_column_decltype',  \
    sqliteColumnDeclType16, N, <.stmt, .index>,  'sqlite3_column_decltype16',  \
    sqliteColumnDouble, N, <.stmt, .iCol>,  'sqlite3_column_double',  \
    sqliteColumnInt, N, <.stmt, .iCol>,  'sqlite3_column_int',  \
    sqliteColumnInt64, N, <.stmt, .iCol>,  'sqlite3_column_int64',  \
    sqliteColumnName, N, <.stmt, .index>,  'sqlite3_column_name',  \
    sqliteColumnName16, N, <.stmt, .index>,  'sqlite3_column_name16',  \
    sqliteColumnOriginName, N, <.stmt, .index>,  'sqlite3_column_origin_name',  \
    sqliteColumnOriginName16, N, <.stmt, .index>,  'sqlite3_column_origin_name16',  \
    sqliteColumnTableName, N, <.stmt, .index>,  'sqlite3_column_table_name',  \
    sqliteColumnTableName16, N, <.stmt, .index>,  'sqlite3_column_table_name16',  \
    sqliteColumnText, N, <.stmt, .iCol>,  'sqlite3_column_text',  \
    sqliteColumnText16, N, <.stmt, .iCol>,  'sqlite3_column_text16',  \
    sqliteColumnType, N, <.stmt, .iCol>,  'sqlite3_column_type',  \
    sqliteColumnValue, N, <.stmt, .iCol>,  'sqlite3_column_value',  \
    sqliteCommitHook, N, <.ptrDB, .ptrHook, .lparam>,  'sqlite3_commit_hook',  \
    sqliteCompileOptionGet, N, <.N>,  'sqlite3_compileoption_get',  \
    sqliteCompileOptionUsed, N, <.ptrOptName>,  'sqlite3_compileoption_used',  \
    sqliteComplete, N, <.ptrSQL>,  'sqlite3_complete',  \
    sqliteComplete16, N, <.ptrSQL>,  'sqlite3_complete16',  \
    sqliteConfig, N, <.index, .Carguments>,  'sqlite3_config',  \
    sqliteContextDBHandle, N, <.context>,  'sqlite3_context_db_handle',  \
    sqliteCreateCollation, N, <.ptrDB, .ptrName, .eTextRep, .lparam, .procCompare>,  'sqlite3_create_collation',  \
    sqliteCreateCollation16, N, <.ptrDB, .ptrName, .eTextRep, .lparam, .procCompare>,  'sqlite3_create_collation16',  \
    sqliteCreateCollation_v2, N, <.ptrDB, .ptrName, .eTextRep, .lparam, .procCompare, .ptrDestroy>,  'sqlite3_create_collation_v2',  \
    sqliteCreateFunction, N, <.ptrDB, .ptrFunctionName, .nArg, .eTextRep, .lparam, .procFunc, .procStep, .procFinal>,  'sqlite3_create_function',  \
    sqliteCreateFunction16, N, <.ptrDB, .ptrFunctionName, .nArg, .eTextRep, .lparam, .procFunc, .procStep, .procFinal>,  'sqlite3_create_function16',  \
    sqliteCreateFunction_v2, N, <.ptrDB, .ptrFunctionName, .nArg, .eTextRep, .lparam, .procFunc, .procStep, .procFinal, .procDestroy>,  'sqlite3_create_function_v2',  \
    sqliteCreateModule, N, <.ptrDB, .ptrModuleName, .ptrVTableModule, .lparam>,  'sqlite3_create_module',  \
    sqliteCreateModule_v2, N, <.ptrDB, .ptrModuleName, .ptrVTableModule, .lparam, .procDestroy>,  'sqlite3_create_module_v2',  \
    sqliteDBConfig, N, <.ptrDB, .index, .Carguments>,  'sqlite3_db_config',  \
    sqliteDBHandle, N, <.stmt>,  'sqlite3_db_handle',  \
    sqliteDBMutex, N, <.ptrDB>,  'sqlite3_db_mutex',  \
    sqliteDBStatus, N, <.ptrDB, .index, .ptrRetCurrent, .ptrRetHighest, .flagReset>,  'sqlite3_db_status',  \
    sqliteDataCount, N, <.stmt>,  'sqlite3_data_count',  \
    sqliteDeclareVtab, N, <.ptrDB, .ptrSQL>,  'sqlite3_declare_vtab',  \
    sqliteEnableLoadExtension, N, <.ptrDB, .flagEnable>,  'sqlite3_enable_load_extension',  \
    sqliteEnableSharedCache, N, <.flagEnable>,  'sqlite3_enable_shared_cache',  \
    sqliteErrCode, N, <.ptrDB>,  'sqlite3_errcode',  \
    sqliteErrMsg, N, <.ptrDB>,  'sqlite3_errmsg',  \
    sqliteErrMsg16, N, <.ptrDB>,  'sqlite3_errmsg16',  \
    sqliteExec, N, <.ptrDB, .ptrSQL, .procCallback, .lparam, .ptrVarErrMsg>,  'sqlite3_exec',  \
    sqliteExpired, N, <VOID>,  'sqlite3_expired',  \
    sqliteExtendedErrCode, N, <.ptrDB>,  'sqlite3_extended_errcode',  \
    sqliteExtendedResultCodes, N, <.ptrDB, .flagEnable>,  'sqlite3_extended_result_codes',  \
    sqliteFileControl, N, <.ptrDB, .ptrDBName, .wparam, .lparam>,  'sqlite3_file_control',  \
    sqliteFinalize, N, <.stmt>,  'sqlite3_finalize',  \
    sqliteFree, N, <.ptrmem>,  'sqlite3_free',  \
    sqliteFreeTable, N, <.ptrVarResult>,  'sqlite3_free_table',  \
    sqliteGetAutocommit, N, <.ptrDB>,  'sqlite3_get_autocommit',  \
    sqliteGetAuxdata, N, <.context, .N>,  'sqlite3_get_auxdata',  \
    sqliteGetTable, N, <.ptrDB, .ptrSQL, .ptrVarResult, .ptrVarRows, .ptrVarColumns, .ptrVarErrorMsg>,  'sqlite3_get_table',  \
    sqliteGlobalRecover_OLD, N, <NONE>,  'sqlite3_global_recover',  \
    sqliteInitialize, N, <VOID>,  'sqlite3_initialize',  \
    sqliteInterrupt, N, <.ptrDB>,  'sqlite3_interrupt',  \
    sqliteLastInsertRowID, N, <.ptrDB>,  'sqlite3_last_insert_rowid',  \
    sqliteLibVersion, N, <VOID>,  'sqlite3_libversion',  \
    sqliteLibversionNumber, N, <VOID>,  'sqlite3_libversion_number',  \
    sqliteLimit, N, <.ptrDB, .idLimit, .newVal>,  'sqlite3_limit',  \
    sqliteLoadExtension, N, <.ptrDB, .nameDLL, .entryProc, .ptrVarErrMsg>,  'sqlite3_load_extension',  \
    sqliteLog, N, <.iErrCode, .ptrFormat, .Carguments>,  'sqlite3_log',  \
    sqliteMAlloc, N, <.size>,  'sqlite3_malloc',  \
    sqliteMemoryAlarm_OLD, N, <NONE>,  'sqlite3_memory_alarm',  \
    sqliteMemoryHighWater, N, <.flagReset>,  'sqlite3_memory_highwater',  \
    sqliteMemoryUsed, N, <VOID>,  'sqlite3_memory_used',  \
    sqliteMprintf, N, <.ptrString, .Carguments>,  'sqlite3_mprintf',  \
    sqliteMutexAlloc, N, <.type>,  'sqlite3_mutex_alloc',  \
    sqliteMutexEnter, N, <.hMutex>,  'sqlite3_mutex_enter',  \
    sqliteMutexFree, N, <.hMutex>,  'sqlite3_mutex_free',  \
    sqliteMutexLeave, N, <.hMutex>,  'sqlite3_mutex_leave',  \
    sqliteMutexTry, N, <.hMutex>,  'sqlite3_mutex_try',  \
    sqliteNextStmt, N, <.ptrDB, .stmt>,  'sqlite3_next_stmt',  \
    sqliteOSEnd, N, <VOID>,  'sqlite3_os_end',  \
    sqliteOSInit, N, <VOID>,  'sqlite3_os_init',  \
    sqliteOpen, N, <.ptrFileName, \
    .ptrVarDB>,  'sqlite3_open',  \
    sqliteOpen16, N, <.ptrFileName, .ptrVarDB>,  'sqlite3_open16',  \
    sqliteOpen_v2, N, <.ptrFileName, .ptrVarDB, .flags, .ptrVFSName>,  'sqlite3_open_v2',  \
    sqliteOverloadFunction, N, <.ptrDB, .ptrFuncName, .lparam>,  'sqlite3_overload_function',  \
    sqlitePrepare, N, <.ptrDB, .ptrSQL, .lenSQL, .ptrVarStmt, .ptrVarNext>,  'sqlite3_prepare',  \
    sqlitePrepare16, N, <.ptrDB, .ptrSQL, .lenSQL, .ptrVarStmt, .ptrVarNext>,  'sqlite3_prepare16',  \
    sqlitePrepare16_v2, N, <.ptrDB, .ptrSQL, .lenSQL, .ptrVarStmt, .ptrVarNext>,  'sqlite3_prepare16_v2',  \
    sqlitePrepare_v2, N, <.ptrDB, .ptrSQL, .lenSQL, .ptrVarStmt, .ptrVarNext>,  'sqlite3_prepare_v2',  \
    sqliteProfile, N, <.ptrDB, .procProfiler, .lparam>,  'sqlite3_profile',  \
    sqliteProgressHandler, N, <.ptrDB, .N, .procProgress, .lparam>,  'sqlite3_progress_handler',  \
    sqliteRandomness, N, <.bytes, .buffer>,  'sqlite3_randomness',  \
    sqliteReAlloc, N, <.ptrmem, .newsize>,  'sqlite3_realloc',  \
    sqliteReleaseMemory, N, <.bytes>,  'sqlite3_release_memory',  \
    sqliteReset, N, <.stmt>,  'sqlite3_reset',  \
    sqliteResetAutoExtension, N, <VOID>,  'sqlite3_reset_auto_extension',  \
    sqliteResultBlob, N, <.context, .ptrdata, .size, .procDestroy>,  'sqlite3_result_blob',  \
    sqliteResultDouble, N, <.context, .double>,  'sqlite3_result_double',  \
    sqliteResultError, N, <.context, .ptrErrMsg, .size>,  'sqlite3_result_error',  \
    sqliteResultError16, N, <.context, .ptrErrMsg, .size>,  'sqlite3_result_error16',  \
    sqliteResultErrorCode, N, <.context, .errcode>,  'sqlite3_result_error_code',  \
    sqliteResultErrorNoMem, N, <.context>,  'sqlite3_result_error_nomem',  \
    sqliteResultErrorTooBig, N, <.context>,  'sqlite3_result_error_toobig',  \
    sqliteResultInt, N, <.context, .integer>,  'sqlite3_result_int',  \
    sqliteResultInt64, N, <.context, .int64Lo, .int64Hi>,  'sqlite3_result_int64',  \
    sqliteResultNULL, N, <.context>,  'sqlite3_result_null',  \
    sqliteResultText, N, <.context, .ptrText, .size, .procDestroy>,  'sqlite3_result_text',  \
    sqliteResultText16, N, <.context, .ptrText, .size, .procDestroy>,  'sqlite3_result_text16',  \
    sqliteResultText16be, N, <.context, .ptrText, .size, .procDestroy>,  'sqlite3_result_text16be',  \
    sqliteResultText16le, N, <.context, .ptrText, .size, .procDestroy>,  'sqlite3_result_text16le',  \
    sqliteResultValue, N, <.context, .ptrValue>,  'sqlite3_result_value',  \
    sqliteResultZeroBlob, N, <.context, .size>,  'sqlite3_result_zeroblob',  \
    sqliteRollbackHook, N, <.ptrDB, .ptrHook, .lparam>,  'sqlite3_rollback_hook',  \
    sqliteRtreeGeometryCallback, N, <NONE>,  'sqlite3_rtree_geometry_callback',  \
    sqliteSQL, N, <.stmt>,  'sqlite3_sql',  \
    sqliteSetAuthorizer, N, <.ptrDB, .procAuthorizer, .lparam>,  'sqlite3_set_authorizer',  \
    sqliteSetAuxdata, N, <.context, .N, .ptrData, .procDestructor>,  'sqlite3_set_auxdata',  \
    sqliteShutdown, N, <VOID>,  'sqlite3_shutdown',  \
    sqliteSleep, N, <.sleep_ms>,  'sqlite3_sleep',  \
    sqliteSnprintf, N, <.size, .ptrBuffer, .ptrString, .Carguments>,  'sqlite3_snprintf',  \
    sqliteSoftHeapLimit, N, <.N>,  'sqlite3_soft_heap_limit',  \
    sqliteSoftHeapLimit64, N, <.sizeLo, .sizeHi>,  'sqlite3_soft_heap_limit64',  \
    sqliteSourceID, N, <VOID>,  'sqlite3_sourceid',  \
    sqliteStatus, N, <.paramIndex, .ptrVarResult, .ptrVarHighwater, .flagReset>,  'sqlite3_status',  \
    sqliteStep, N, <.stmt>,  'sqlite3_step',  \
    sqliteStmtStatus, N, <.stmt, .paramIndex, .flagReset>,  'sqlite3_stmt_status',  \
    sqliteStrnicmp, N, <.ptrStr1, .ptrStr2, .size>,  'sqlite3_strnicmp',  \
    sqliteTableColumnMetadata, N, <.ptrDB, .ptrDBName, .ptrTableName, .ptrColumnName, .ptrVarDataType, .ptrVarCollSeq, .ptrVarNotNull, .ptrVarPrimaryKey, .ptrVarAutoInc>,  'sqlite3_table_column_metadata',  \
    sqliteTestControl, N, <.opCode, .Carguments>,  'sqlite3_test_control',  \
    sqliteThreadCleanup, N, <VOID>,  'sqlite3_thread_cleanup',  \
    sqliteThreadsafe, N, <VOID>,  'sqlite3_threadsafe',  \
    sqliteTotalChanges, N, <.ptrDB>,  'sqlite3_total_changes',  \
    sqliteTrace, N, <.ptrDB, .procTrace, .lparam>,  'sqlite3_trace',  \
    sqliteTransferBindings, N, <VOID>,  'sqlite3_transfer_bindings',  \
    sqliteUpdateHook, N, <.ptrDB, .procUpdateHook, .lparam>,  'sqlite3_update_hook',  \
    sqliteUserData, N, <.context>,  'sqlite3_user_data',  \
    sqliteValueBlob, N, <.ptrValue>,  'sqlite3_value_blob',  \
    sqliteValueBytes, N, <.ptrValue>,  'sqlite3_value_bytes',  \
    sqliteValueBytes16, N, <.ptrValue>,  'sqlite3_value_bytes16',  \
    sqliteValueDouble, N, <.ptrValue>,  'sqlite3_value_double',  \
    sqliteValueInt, N, <.ptrValue>,  'sqlite3_value_int',  \
    sqliteValueInt64, N, <.ptrValue>,  'sqlite3_value_int64',  \
    sqliteValueNumericType, N, <.ptrValue>,  'sqlite3_value_numeric_type',  \
    sqliteValueText, N, <.ptrValue>,  'sqlite3_value_text',  \
    sqliteValueText16, N, <.ptrValue>,  'sqlite3_value_text16',  \
    sqliteValueText16be, N, <.ptrValue>,  'sqlite3_value_text16be',  \
    sqliteValueText16le, N, <.ptrValue>,  'sqlite3_value_text16le',  \
    sqliteValueType, N, <.ptrValue>,  'sqlite3_value_type',  \
    sqliteVersion, N, <VOID>,  'sqlite3_version',  \
    sqliteVfsFind, N, <.ptrVFSName>,  'sqlite3_vfs_find',  \
    sqliteVfsRegister, N, <.hVFS, .flagDefault>,  'sqlite3_vfs_register',  \
    sqliteVfsUnregister, N, <.hVFS>,  'sqlite3_vfs_unregister',  \
    sqliteVmprintf, N, <.ptrString, .va_list>,  'sqlite3_vmprintf',  \
    sqliteWalAutocheckpoint, N, <.ptrDB, .N>,  'sqlite3_wal_autocheckpoint',  \
    sqliteWalCheckpoint, N, <.ptrDB, .ptrDBName>,  'sqlite3_wal_checkpoint',  \
    sqliteWalHook, N, <.ptrDB, .procCommitHook, .lparam>,  'sqlite3_wal_hook',  \
    sqliteWin32_MbcsToUtf8, N, <NONE>,  'sqlite3_win32_mbcs_to_utf8'
