; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: user32.dll API calls
;
;  Target OS: Win32
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________


import_proto user32,  \
    ActivateKeyboardLayout, N, <.HKL, .flags>,  'ActivateKeyboardLayout',  \
    AdjustWindowRect, N, <.lpRect, .dwStyle, .bMenu>,  'AdjustWindowRect',  \
    AdjustWindowRectEx, N, <.lpRect, .dwStyle, .bMenu, .dwExStyle>,  'AdjustWindowRectEx',  \
    AlignRects, N, <NONE>,  'AlignRects',  \
    AllowForegroundActivation, N, <NONE>,  'AllowForegroundActivation',  \
    AllowSetForegroundWindow, N, <.dwProcessId>,  'AllowSetForegroundWindow',  \
    AnimateWindow, N, <.hwnd, .dwTime, .dwFlags>,  'AnimateWindow',  \
    AnyPopup, N, <VOID>,  'AnyPopup',  \
    AppendMenu, A, <.hMenu, .wFlags, .wIDNewItem, .lpNewItem>,  'AppendMenuA',  \
    AppendMenu, W, <.hMenu, .wFlags, .wIDNewItem, .lpNewItem>,  'AppendMenuW',  \
    ArrangeIconicWindows, N, <.hwnd>,  'ArrangeIconicWindows',  \
    AttachThreadInput, N, <.idAttach, .idAttachTo, .fAttach>,  'AttachThreadInput',  \
    BeginDeferWindowPos, N, <.nNumWindows>,  'BeginDeferWindowPos',  \
    BeginPaint, N, <.hwnd, .lpPaint>,  'BeginPaint',  \
    BlockInput, N, <.fBlockIt>,  'BlockInput',  \
    BringWindowToTop, N, <.hwnd>,  'BringWindowToTop',  \
    BroadcastSystemMessage, A, <.dw, .pdw, .un, .wParam, .lParam>,  'BroadcastSystemMessageA',  \
    BroadcastSystemMessageEx, A, <NONE>,  'BroadcastSystemMessageExA',  \
    BroadcastSystemMessageEx, W, <NONE>,  'BroadcastSystemMessageExW',  \
    BroadcastSystemMessage, W, <.dw, .pdw, .un, .wParam, .lParam>,  'BroadcastSystemMessageW',  \
    BuildReasonArray, N, <NONE>,  'BuildReasonArray',  \
    CalcMenuBar, N, <NONE>,  'CalcMenuBar',  \
    CallMsgFilter, A, <.lpMsg, .ncode>,  'CallMsgFilterA',  \
    CallMsgFilter, W, <.lpMsg, .ncode>,  'CallMsgFilterW',  \
    CallNextHookEx, N, <.hHook, .ncode, .wParam, .lParam>,  'CallNextHookEx',  \
    CallWindowProc, A, <.lpPrevWndFunc, .hWnd, .Msg, .wParam, .lParam>,  'CallWindowProcA',  \
    CallWindowProc, W, <.lpPrevWndFunc, .hWnd, .Msg, .wParam, .lParam>,  'CallWindowProcW',  \
    CascadeChildWindows, N, <NONE>,  'CascadeChildWindows',  \
    CascadeWindows, N, <.hwndParent, .wHow, .lpRect, .cKids, .lpkids>,  'CascadeWindows',  \
    ChangeClipboardChain, N, <.hwnd, .hWndNext>,  'ChangeClipboardChain',  \
    ChangeDisplaySettings, A, <.lpDevMode, .dwFlags>,  'ChangeDisplaySettingsA',  \
    ChangeDisplaySettingsEx, A, <.lpszDeviceName, .lpDevMode, .hwnd, .dwflags, .lParam>,  'ChangeDisplaySettingsExA',  \
    ChangeDisplaySettingsEx, W, <.lpszDeviceName, .lpDevMode, .hwnd, .dwflags, .lParam>,  'ChangeDisplaySettingsExW',  \
    ChangeDisplaySettings, W, <.lpDevMode, .dwFlags>,  'ChangeDisplaySettingsW',  \
    ChangeMenu, A, <.hMenu, .cmd, .lpszNewItem, .cmdInsert, .flags>,  'ChangeMenuA',  \
    ChangeMenu, W, <.hMenu, .cmd, .lpszNewItem, .cmdInsert, .flags>,  'ChangeMenuW',  \
    CharLower, A, <.lpsz>,  'CharLowerA',  \
    CharLowerBuff, A, <.lpsz, .cchLength>,  'CharLowerBuffA',  \
    CharLowerBuff, W, <.lpsz, .cchLength>,  'CharLowerBuffW',  \
    CharLower, W, <.lpsz>,  'CharLowerW',  \
    CharNext, A, <.lpsz>,  'CharNextA',  \
    CharNextEx, A, <.CodePage, .lpCurrentChar, .dwFlags>,  'CharNextExA',  \
    CharNext, W, <.lpsz>,  'CharNextW',  \
    CharPrev, A, <.lpszStart, .lpszCurrent>,  'CharPrevA',  \
    CharPrevEx, A, <.CodePage, .lpStart, .lpCurrentChar, .dwFlags>,  'CharPrevExA',  \
    CharPrev, W, <.lpszStart, .lpszCurrent>,  'CharPrevW',  \
    CharToOem, A, <.lpszSrc, .lpszDst>,  'CharToOemA',  \
    CharToOemBuff, A, <.lpszSrc, .lpszDst, .cchDstLength>,  'CharToOemBuffA',  \
    CharToOemBuff, W, <.lpszSrc, .lpszDst, .cchDstLength>,  'CharToOemBuffW',  \
    CharToOem, W, <.lpszSrc, .lpszDst>,  'CharToOemW',  \
    CharUpper, A, <.lpsz>,  'CharUpperA',  \
    CharUpperBuff, A, <.lpsz, .cchLength>,  'CharUpperBuffA',  \
    CharUpperBuff, W, <.lpsz, .cchLength>,  'CharUpperBuffW',  \
    CharUpper, W, <.lpsz>,  'CharUpperW',  \
    CheckDlgButton, N, <.hDlg, .nIDButton, .uCheck>,  'CheckDlgButton',  \
    CheckMenuItem, N, <.hMenu, .wIDCheckItem, .wCheck>,  'CheckMenuItem',  \
    CheckMenuRadioItem, N, <.hMenu, .un1, .un2, .un3, .un4>,  'CheckMenuRadioItem',  \
    CheckRadioButton, N, <.hDlg, .nIDFirstButton, .nIDLastButton, .nIDCheckButton>,  'CheckRadioButton',  \
    ChildWindowFromPoint, N, <.hWnd, .xPoint, .yPoint>,  'ChildWindowFromPoint',  \
    ChildWindowFromPointEx, N, <.hWnd, .pt, .un>,  'ChildWindowFromPointEx',  \
    CliImmSetHotKey, N, <NONE>,  'CliImmSetHotKey',  \
    ClientThreadSetup, N, <NONE>,  'ClientThreadSetup',  \
    ClientToScreen, N, <.hwnd, .lpPoint>,  'ClientToScreen',  \
    ClipCursor, N, <.lpRect>,  'ClipCursor',  \
    CloseClipboard, N, <VOID>,  'CloseClipboard',  \
    CloseDesktop, N, <.hDesktop>,  'CloseDesktop',  \
    CloseWindow, N, <.hwnd>,  'CloseWindow',  \
    CloseWindowStation, N, <.hWinSta>,  'CloseWindowStation',  \
    CopyAcceleratorTable, A, <.hAccelSrc, .lpAccelDst, .cAccelEntries>,  'CopyAcceleratorTableA',  \
    CopyAcceleratorTable, W, <.hAccelSrc, .lpAccelDst, .cAccelEntries>,  'CopyAcceleratorTableW',  \
    CopyIcon, N, <.hIcon>,  'CopyIcon',  \
    CopyImage, N, <.handle, .un1, .n1, .n2, .un2>,  'CopyImage',  \
    CopyRect, N, <.lpDestRect, .lpSourceRect>,  'CopyRect',  \
    CountClipboardFormats, N, <VOID>,  'CountClipboardFormats',  \
    CreateAcceleratorTable, A, <.lpaccl, .cEntries>,  'CreateAcceleratorTableA',  \
    CreateAcceleratorTable, W, <.lpaccl, .cEntries>,  'CreateAcceleratorTableW',  \
    CreateCaret, N, <.hwnd, .hBitmap, .nWidth, .nHeight>,  'CreateCaret',  \
    CreateCursor, N, <.hInstance, .nXhotspot, .nYhotspot, .nWidth, .nHeight, .lpANDbitPlane, .lpXORbitPlane>,  'CreateCursor',  \
    CreateDesktop, A, <.lpszDesktop, .lpszDevice, .pDevmode, .dwFlags, .dwDesiredAccess, .lpsa>,  'CreateDesktopA',  \
    CreateDesktop, W, <.lpszDesktop, .lpszDevice, .pDevmode, .dwFlags, .dwDesiredAccess, .lpsa>,  'CreateDesktopW',  \
    CreateDialogIndirectParam, A, <.hInstance, .lpTemplate, .hWndParent, .lpDialogFunc, .dwInitParam>,  'CreateDialogIndirectParamA',  \
    CreateDialogIndirectParamAor, W, <NONE>,  'CreateDialogIndirectParamAorW',  \
    CreateDialogIndirectParam, W, <.hInstance, .lpTemplate, .hWndParent, .lpDialogFunc, .dwInitParam>,  'CreateDialogIndirectParamW',  \
    CreateDialogParam, A, <.hInstance, .lpName, .hWndParent, .lpDialogFunc, .lParamInit>,  'CreateDialogParamA',  \
    CreateDialogParam, W, <.hInstance, .lpName, .hWndParent, .lpDialogFunc, .lParamInit>,  'CreateDialogParamW',  \
    CreateIcon, N, <.hInstance, .nWidth, .nHeight, .nPlanes, .nBitsPixel, .lpANDbits, .lpXORbits>,  'CreateIcon',  \
    CreateIconFromResource, N, <.presbits, .dwResSize, .fIcon, .dwVer>,  'CreateIconFromResource',  \
    CreateIconFromResourceEx, N, <.presbits, .dwResSize, .fIcon, .dwVer, .cxDesired, .cyDesired, .Flags>,  'CreateIconFromResourceEx',  \
    CreateIconIndirect, N, <.piconinfo>,  'CreateIconIndirect',  \
    CreateMDIWindow, A, <.lpClassName, .lpWindowName, .dwStyle, .x, .y, .nWidth, .nHeight, .hWndParent, .hInstance, .lParam>,  'CreateMDIWindowA',  \
    CreateMDIWindow, W, <.lpClassName, .lpWindowName, .dwStyle, .x, .y, .nWidth, .nHeight, .hWndParent, .hInstance, .lParam>,  'CreateMDIWindowW',  \
    CreateMenu, N, <VOID>,  'CreateMenu',  \
    CreatePopupMenu, N, <VOID>,  'CreatePopupMenu',  \
    CreateSystemThreads, N, <NONE>,  'CreateSystemThreads',  \
    CreateWindowEx, A, <.dwExStyle, .lpClassName, .lpWindowName, .dwStyle, .x, .y, .nWidth, .nHeight, .hWndParent, .hMenu, .hInstance, .lpParam>,  'CreateWindowExA',  \
    CreateWindowEx, W, <.dwExStyle, .lpClassName, .lpWindowName, .dwStyle, .x, .y, .nWidth, .nHeight, .hWndParent, .hMenu, .hInstance, .lpParam>,  'CreateWindowExW',  \
    CreateWindowStation, A, <.lpwinsta, .dwReserved, .dwDesiredAccess, .lpsa>,  'CreateWindowStationA',  \
    CreateWindowStation, W, <.lpwinsta, .dwReserved, .dwDesiredAccess, .lpsa>,  'CreateWindowStationW',  \
    CsrBroadcastSystemMessageEx, W, <NONE>,  'CsrBroadcastSystemMessageExW',  \
    CtxInitUser32, N, <NONE>,  'CtxInitUser32',  \
    DdeAbandonTransaction, N, <.idInst, .hConv, .idTransaction>,  'DdeAbandonTransaction',  \
    DdeAccessData, N, <.hData, .pcbDataSize>,  'DdeAccessData',  \
    DdeAddData, N, <.hData, .pSrc, .cb, .cbOff>,  'DdeAddData',  \
    DdeClientTransaction, N, <.pData, .cbData, .hConv, .hszItem, .wFmt, .wType, .dwTimeout, .pdwResult>,  'DdeClientTransaction',  \
    DdeCmpStringHandles, N, <.hsz1, .hsz2>,  'DdeCmpStringHandles',  \
    DdeConnect, N, <.idInst, .hszService, .hszTopic, .pCC>,  'DdeConnect',  \
    DdeConnectList, N, <.idInst, .hszService, .hszTopic, .hConvList, .pCC>,  'DdeConnectList',  \
    DdeCreateDataHandle, N, <.idInst, .pSrc, .cb, .cbOff, .hszItem, .wFmt, .afCmd>,  'DdeCreateDataHandle',  \
    DdeCreateStringHandle, A, <.idInst, .psz, .iCodePage>,  'DdeCreateStringHandleA',  \
    DdeCreateStringHandle, W, <.idInst, .psz, .iCodePage>,  'DdeCreateStringHandleW',  \
    DdeDisconnect, N, <.hConv>,  'DdeDisconnect',  \
    DdeDisconnectList, N, <.hConvList>,  'DdeDisconnectList',  \
    DdeEnableCallback, N, <.idInst, .hConv, .wCmd>,  'DdeEnableCallback',  \
    DdeFreeDataHandle, N, <.hData>,  'DdeFreeDataHandle',  \
    DdeFreeStringHandle, N, <.idInst, .hsz>,  'DdeFreeStringHandle',  \
    DdeGetData, N, <.hData, .pDst, .cbMax, .cbOff>,  'DdeGetData',  \
    DdeGetLastError, N, <.idInst>,  'DdeGetLastError',  \
    DdeGetQualityOfService, N, <NONE>,  'DdeGetQualityOfService',  \
    DdeImpersonateClient, N, <.hConv>,  'DdeImpersonateClient',  \
    DdeInitialize, A, <.pidInst, .pfnCallback, .afCmd, .ulRes>,  'DdeInitializeA',  \
    DdeInitialize, W, <.pidInst, .pfnCallback, .afCmd, .ulRes>,  'DdeInitializeW',  \
    DdeKeepStringHandle, N, <.idInst, .hsz>,  'DdeKeepStringHandle',  \
    DdeNameService, N, <.idInst, .hsz1, .hsz2, .afCmd>,  'DdeNameService',  \
    DdePostAdvise, N, <.idInst, .hszTopic, .hszItem>,  'DdePostAdvise',  \
    DdeQueryConvInfo, N, <.hConv, .idTransaction, .pConvInfo>,  'DdeQueryConvInfo',  \
    DdeQueryNextServer, N, <.hConvList, .hConvPrev>,  'DdeQueryNextServer',  \
    DdeQueryString, A, <.idInst, .hsz, .psz, .cchMax, .iCodePage>,  'DdeQueryStringA',  \
    DdeQueryString, W, <.idInst, .hsz, .psz, .cchMax, .iCodePage>,  'DdeQueryStringW',  \
    DdeReconnect, N, <.hConv>,  'DdeReconnect',  \
    DdeSetQualityOfService, N, <.hWndClient, .pqosNew, .pqosPrev>,  'DdeSetQualityOfService',  \
    DdeSetUserHandle, N, <.hConv, .id, .hUser>,  'DdeSetUserHandle',  \
    DdeUnaccessData, N, <.hData>,  'DdeUnaccessData',  \
    DdeUninitialize, N, <.idInst>,  'DdeUninitialize',  \
    DefDlgProc, A, <.hDlg, .wMsg, .wParam, .lParam>,  'DefDlgProcA',  \
    DefDlgProc, W, <.hDlg, .wMsg, .wParam, .lParam>,  'DefDlgProcW',  \
    DefFrameProc, A, <.hwnd, .hWndMDIClient, .wMsg, .wParam, .lParam>,  'DefFrameProcA',  \
    DefFrameProc, W, <.hwnd, .hWndMDIClient, .wMsg, .wParam, .lParam>,  'DefFrameProcW',  \
    DefMDIChildProc, A, <.hwnd, .wMsg, .wParam, .lParam>,  'DefMDIChildProcA',  \
    DefMDIChildProc, W, <.hwnd, .wMsg, .wParam, .lParam>,  'DefMDIChildProcW',  \
    DefRawInputProc, N, <NONE>,  'DefRawInputProc',  \
    DefWindowProc, A, <.hwnd, .wMsg, .wParam, .lParam>,  'DefWindowProcA',  \
    DefWindowProc, W, <.hwnd, .wMsg, .wParam, .lParam>,  'DefWindowProcW',  \
    DeferWindowPos, N, <.hWinPosInfo, .hwnd, .hWndInsertAfter, .x, .y, .cx, .cy, .wFlags>,  'DeferWindowPos',  \
    DeleteMenu, N, <.hMenu, .nPosition, .wFlags>,  'DeleteMenu',  \
    DeregisterShellHookWindow, N, <NONE>,  'DeregisterShellHookWindow',  \
    DestroyAcceleratorTable, N, <.haccel>,  'DestroyAcceleratorTable',  \
    DestroyCaret, N, <VOID>,  'DestroyCaret',  \
    DestroyCursor, N, <.hCursor>,  'DestroyCursor',  \
    DestroyIcon, N, <.hIcon>,  'DestroyIcon',  \
    DestroyMenu, N, <.hMenu>,  'DestroyMenu',  \
    DestroyReasons, N, <NONE>,  'DestroyReasons',  \
    DestroyWindow, N, <.hwnd>,  'DestroyWindow',  \
    DeviceEventWorker, N, <NONE>,  'DeviceEventWorker',  \
    DialogBoxIndirectParam, A, <.hInstance, .hDialogTemplate, .hWndParent, .lpDialogFunc, .dwInitParam>,  'DialogBoxIndirectParamA',  \
    DialogBoxIndirectParamAor, W, <NONE>,  'DialogBoxIndirectParamAorW',  \
    DialogBoxIndirectParam, W, <.hInstance, .hDialogTemplate, .hWndParent, .lpDialogFunc, .dwInitParam>,  'DialogBoxIndirectParamW',  \
    DialogBoxParam, A, <.hInstance, .lpTemplateName, .hWndParent, .lpDialogFunc, .dwInitParam>,  'DialogBoxParamA',  \
    DialogBoxParam, W, <.hInstance, .lpTemplateName, .hWndParent, .lpDialogFunc, .dwInitParam>,  'DialogBoxParamW',  \
    DisableProcessWindowsGhosting, N, <NONE>,  'DisableProcessWindowsGhosting',  \
    DispatchMessage, A, <.lpMsg>,  'DispatchMessageA',  \
    DispatchMessage, W, <.lpMsg>,  'DispatchMessageW',  \
    DisplayExitWindowsWarnings, N, <NONE>,  'DisplayExitWindowsWarnings',  \
    DlgDirList, A, <.hDlg, .lpPathSpec, .nIDListBox, .nIDStaticPath, .wFileType>,  'DlgDirListA',  \
    DlgDirListComboBox, A, <.hDlg, .lpPathSpec, .nIDComboBox, .nIDStaticPath, .wFileType>,  'DlgDirListComboBoxA',  \
    DlgDirListComboBox, W, <.hDlg, .lpPathSpec, .nIDComboBox, .nIDStaticPath, .wFileType>,  'DlgDirListComboBoxW',  \
    DlgDirList, W, <.hDlg, .lpPathSpec, .nIDListBox, .nIDStaticPath, .wFileType>,  'DlgDirListW',  \
    DlgDirSelectComboBoxEx, A, <.hWndDlg, .lpszPath, .cbPath, .idComboBox>,  'DlgDirSelectComboBoxExA',  \
    DlgDirSelectComboBoxEx, W, <.hWndDlg, .lpszPath, .cbPath, .idComboBox>,  'DlgDirSelectComboBoxExW',  \
    DlgDirSelectEx, A, <.hWndDlg, .lpszPath, .cbPath, .idListBox>,  'DlgDirSelectExA',  \
    DlgDirSelectEx, W, <.hWndDlg, .lpszPath, .cbPath, .idListBox>,  'DlgDirSelectExW',  \
    DragDetect, N, <.hWnd, .pt>,  'DragDetect',  \
    DragObject, N, <.hWnd1, .hWnd2, .un, .dw, .hCursor>,  'DragObject',  \
    DrawAnimatedRects, N, <.hwnd, .idAni, .lprcFrom, .lprcTo>,  'DrawAnimatedRects',  \
    DrawCaption, N, <.hWnd, .hDC, .pcRect, .uDCFlags>,  'DrawCaption',  \
    DrawCaptionTemp, A, <NONE>,  'DrawCaptionTempA',  \
    DrawCaptionTemp, W, <NONE>,  'DrawCaptionTempW',  \
    DrawEdge, N, <.hdc, .qrc, .edge, .grfFlags>,  'DrawEdge',  \
    DrawFocusRect, N, <.hdc, .lpRect>,  'DrawFocusRect',  \
    DrawFrame, N, <NONE>,  'DrawFrame',  \
    DrawFrameControl, N, <.hDC, .lpRect, .uFrameType, .uFrameState>,  'DrawFrameControl',  \
    DrawIcon, N, <.hdc, .x, .y, .hIcon>,  'DrawIcon',  \
    DrawIconEx, N, <.hdc, .xLeft, .yTop, .hIcon, .cxWidth, .cyWidth, .istepIfAniCur, .hbrFlickerFreeDraw, .diFlags>,  'DrawIconEx',  \
    DrawMenuBar, N, <.hwnd>,  'DrawMenuBar',  \
    DrawMenuBarTemp, N, <NONE>,  'DrawMenuBarTemp',  \
    DrawState, A, <.hDC, .hBrush, .lpDrawStateProc, .lParam, .wParam, .n1, .n2, .n3, .n4, .un>,  'DrawStateA',  \
    DrawState, W, <.hDC, .hBrush, .lpDrawStateProc, .lParam, .wParam, .n1, .n2, .n3, .n4, .un>,  'DrawStateW',  \
    DrawText, A, <.hdc, .lpStr, .nCount, .lpRect, .wFormat>,  'DrawTextA',  \
    DrawTextEx, A, <.hDC, .lpsz, .n, .lpRect, .un, .lpDrawTextParams>,  'DrawTextExA',  \
    DrawTextEx, W, <.hDC, .lpsz, .n, .lpRect, .un, .lpDrawTextParams>,  'DrawTextExW',  \
    DrawText, W, <.hdc, .lpStr, .nCount, .lpRect, .wFormat>,  'DrawTextW',  \
    EditWndProc, N, <NONE>,  'EditWndProc',  \
    EmptyClipboard, N, <VOID>,  'EmptyClipboard',  \
    EnableMenuItem, N, <.hMenu, .wIDEnableItem, .wEnable>,  'EnableMenuItem',  \
    EnableScrollBar, N, <.hwnd, .wSBflags, .wArrows>,  'EnableScrollBar',  \
    EnableWindow, N, <.hwnd, .fBoolean>,  'EnableWindow',  \
    EndDeferWindowPos, N, <.hWinPosInfo>,  'EndDeferWindowPos',  \
    EndDialog, N, <.hDlg, .nResult>,  'EndDialog',  \
    EndMenu, N, <VOID>,  'EndMenu',  \
    EndPaint, N, <.hwnd, .lpPaint>,  'EndPaint',  \
    EndTask, N, <NONE>,  'EndTask',  \
    EnterReaderModeHelper, N, <NONE>,  'EnterReaderModeHelper',  \
    EnumChildWindows, N, <.hWndParent, .lpEnumFunc, .lParam>,  'EnumChildWindows',  \
    EnumClipboardFormats, N, <.wFormat>,  'EnumClipboardFormats',  \
    EnumDesktopWindows, N, <.hDesktop, .lpfn, .lParam>,  'EnumDesktopWindows',  \
    EnumDesktops, A, <.hwinsta, .lpEnumFunc, .lParam>,  'EnumDesktopsA',  \
    EnumDesktops, W, <.hwinsta, .lpEnumFunc, .lParam>,  'EnumDesktopsW',  \
    EnumDisplayDevices, A, <.lpDevice, .iDevNum, .lpDisplayDevice, .dwFlags>,  'EnumDisplayDevicesA',  \
    EnumDisplayDevices, W, <.lpDevice, .iDevNum, .lpDisplayDevice, .dwFlags>,  'EnumDisplayDevicesW',  \
    EnumDisplayMonitors, N, <.hdc, .lprcClip, .lpfnEnum, .dwData>,  'EnumDisplayMonitors',  \
    EnumDisplaySettings, A, <.lpszDeviceName, .iModeNum, .lpDevMode>,  'EnumDisplaySettingsA',  \
    EnumDisplaySettingsEx, A, <.lpszDeviceName, .iModeNum, .lpDevMode, .dwFlags>,  'EnumDisplaySettingsExA',  \
    EnumDisplaySettingsEx, W, <.lpszDeviceName, .iModeNum, .lpDevMode, .dwFlags>,  'EnumDisplaySettingsExW',  \
    EnumDisplaySettings, W, <.lpszDeviceName, .iModeNum, .lpDevMode>,  'EnumDisplaySettingsW',  \
    EnumProps, A, <.hWnd, .lpEnumFunc>,  'EnumPropsA',  \
    EnumPropsEx, A, <.hWnd, .lpEnumFunc, .lParam>,  'EnumPropsExA',  \
    EnumPropsEx, W, <.hWnd, .lpEnumFunc, .lParam>,  'EnumPropsExW',  \
    EnumProps, W, <.hWnd, .lpEnumFunc>,  'EnumPropsW',  \
    EnumThreadWindows, N, <.dwThreadId, .lpfn, .lParam>,  'EnumThreadWindows',  \
    EnumWindowStations, A, <.lpEnumFunc, .lParam>,  'EnumWindowStationsA',  \
    EnumWindowStations, W, <.lpEnumFunc, .lParam>,  'EnumWindowStationsW',  \
    EnumWindows, N, <.lpEnumFunc, .lParam>,  'EnumWindows',  \
    EqualRect, N, <.lpRect1, .lpRect2>,  'EqualRect',  \
    ExcludeUpdateRgn, N, <.hdc, .hwnd>,  'ExcludeUpdateRgn',  \
    ExitWindowsEx, N, <.uFlags, .dwReserved>,  'ExitWindowsEx',  \
    FillRect, N, <.hdc, .lpRect, .hBrush>,  'FillRect',  \
    FindWindow, A, <.lpClassName, .lpWindowName>,  'FindWindowA',  \
    FindWindowEx, A, <.hWnd1, .hWnd2, .lpsz1, .lpsz2>,  'FindWindowExA',  \
    FindWindowEx, W, <.hWnd1, .hWnd2, .lpsz1, .lpsz2>,  'FindWindowExW',  \
    FindWindow, W, <.lpClassName, .lpWindowName>,  'FindWindowW',  \
    FlashWindow, N, <.hwnd, .bInvert>,  'FlashWindow',  \
    FlashWindowEx, N, <.pfwi>,  'FlashWindowEx',  \
    FrameRect, N, <.hdc, .lpRect, .hBrush>,  'FrameRect',  \
    FreeDDElParam, N, <.msg, .lParam>,  'FreeDDElParam',  \
    GetActiveWindow, N, <VOID>,  'GetActiveWindow',  \
    GetAltTabInfo, A, <.hwnd, .iItem, .pati, .pszItemText, .cchItemText>,  'GetAltTabInfoA',  \
    GetAltTabInfo, W, <.hwnd, .iItem, .pati, .pszItemText, .cchItemText>,  'GetAltTabInfoW',  \
    GetAncestor, N, <.hwnd, .gaFlags>,  'GetAncestor',  \
    GetAppCompatFlags, N, <NONE>,  'GetAppCompatFlags',  \
    GetAppCompatFlags2, N, <NONE>,  'GetAppCompatFlags2',  \
    GetAsyncKeyState, N, <.vKey>,  'GetAsyncKeyState',  \
    GetCapture, N, <VOID>,  'GetCapture',  \
    GetCaretBlinkTime, N, <VOID>,  'GetCaretBlinkTime',  \
    GetCaretPos, N, <.lpPoint>,  'GetCaretPos',  \
    GetClassInfo, A, <.hInstance, .lpClassName, .lpWndClass>,  'GetClassInfoA',  \
    GetClassInfoEx, A, <.hinstance, .lpcstr, .lpwndclassexa>,  'GetClassInfoExA',  \
    GetClassInfoEx, W, <.hinstance, .lpcstr, .lpwndclassexa>,  'GetClassInfoExW',  \
    GetClassInfo, W, <.hInstance, .lpClassName, .lpWndClass>,  'GetClassInfoW',  \
    GetClassLong, A, <.hwnd, .nIndex>,  'GetClassLongA',  \
    GetClassLong, W, <.hwnd, .nIndex>,  'GetClassLongW',  \
    GetClassName, A, <.hwnd, .lpClassName, .nMaxCount>,  'GetClassNameA',  \
    GetClassName, W, <.hwnd, .lpClassName, .nMaxCount>,  'GetClassNameW',  \
    GetClassWord, N, <.hwnd, .nIndex>,  'GetClassWord',  \
    GetClientRect, N, <.hwnd, .lpRect>,  'GetClientRect',  \
    GetClipCursor, N, <.lprc>,  'GetClipCursor',  \
    GetClipboardData, N, <.wFormat>,  'GetClipboardData',  \
    GetClipboardFormatName, A, <.wFormat, .lpString, .nMaxCount>,  'GetClipboardFormatNameA',  \
    GetClipboardFormatName, W, <.wFormat, .lpString, .nMaxCount>,  'GetClipboardFormatNameW',  \
    GetClipboardOwner, N, <VOID>,  'GetClipboardOwner',  \
    GetClipboardSequenceNumber, N, <VOID>,  'GetClipboardSequenceNumber',  \
    GetClipboardViewer, N, <VOID>,  'GetClipboardViewer',  \
    GetComboBoxInfo, N, <.hwndCombo, .pcbi>,  'GetComboBoxInfo',  \
    GetCursor, N, <VOID>,  'GetCursor',  \
    GetCursorFrameInfo, N, <NONE>,  'GetCursorFrameInfo',  \
    GetCursorInfo, N, <.pci>,  'GetCursorInfo',  \
    GetCursorPos, N, <.lpPoint>,  'GetCursorPos',  \
    GetDC, N, <.hwnd>,  'GetDC',  \
    GetDCEx, N, <.hwnd, .hrgnclip, .fdwOptions>,  'GetDCEx',  \
    GetDesktopWindow, N, <VOID>,  'GetDesktopWindow',  \
    GetDialogBaseUnits, N, <VOID>,  'GetDialogBaseUnits',  \
    GetDlgCtrlID, N, <.hwnd>,  'GetDlgCtrlID',  \
    GetDlgItem, N, <.hDlg, .nIDDlgItem>,  'GetDlgItem',  \
    GetDlgItemInt, N, <.hDlg, .nIDDlgItem, .lpTranslated, .bSigned>,  'GetDlgItemInt',  \
    GetDlgItemText, A, <.hDlg, .nIDDlgItem, .lpString, .nMaxCount>,  'GetDlgItemTextA',  \
    GetDlgItemText, W, <.hDlg, .nIDDlgItem, .lpString, .nMaxCount>,  'GetDlgItemTextW',  \
    GetDoubleClickTime, N, <VOID>,  'GetDoubleClickTime',  \
    GetFocus, N, <VOID>,  'GetFocus',  \
    GetForegroundWindow, N, <VOID>,  'GetForegroundWindow',  \
    GetGUIThreadInfo, N, <.idThread, .pgui>,  'GetGUIThreadInfo',  \
    GetGuiResources, N, <.hProcess, .uiFlags>,  'GetGuiResources',  \
    GetIconInfo, N, <.hIcon, .piconinfo>,  'GetIconInfo',  \
    GetInputDesktop, N, <NONE>,  'GetInputDesktop',  \
    GetInputState, N, <VOID>,  'GetInputState',  \
    GetInternalWindowPos, N, <NONE>,  'GetInternalWindowPos',  \
    GetKBCodePage, N, <VOID>,  'GetKBCodePage',  \
    GetKeyNameText, A, <.lParam, .lpBuffer, .nSize>,  'GetKeyNameTextA',  \
    GetKeyNameText, W, <.lParam, .lpBuffer, .nSize>,  'GetKeyNameTextW',  \
    GetKeyState, N, <.nVirtKey>,  'GetKeyState',  \
    GetKeyboardLayout, N, <.dwLayout>,  'GetKeyboardLayout',  \
    GetKeyboardLayoutList, N, <.nBuff, .lpList>,  'GetKeyboardLayoutList',  \
    GetKeyboardLayoutName, A, <.pwszKLID>,  'GetKeyboardLayoutNameA',  \
    GetKeyboardLayoutName, W, <.pwszKLID>,  'GetKeyboardLayoutNameW',  \
    GetKeyboardState, N, <.pbKeyState>,  'GetKeyboardState',  \
    GetKeyboardType, N, <.nTypeFlag>,  'GetKeyboardType',  \
    GetLastActivePopup, N, <.hwndOwnder>,  'GetLastActivePopup',  \
    GetLastInputInfo, N, <.plii>,  'GetLastInputInfo',  \
    GetLayeredWindowAttributes, N, <NONE>,  'GetLayeredWindowAttributes',  \
    GetListBoxInfo, N, <.hwnd>,  'GetListBoxInfo',  \
    GetMenu, N, <.hwnd>,  'GetMenu',  \
    GetMenuBarInfo, N, <.hwnd, .idObject, .idItem, .pmbi>,  'GetMenuBarInfo',  \
    GetMenuCheckMarkDimensions, N, <VOID>,  'GetMenuCheckMarkDimensions',  \
    GetMenuContextHelpId, N, <.hMenu>,  'GetMenuContextHelpId',  \
    GetMenuDefaultItem, N, <.hMenu, .fByPos, .gmdiFlags>,  'GetMenuDefaultItem',  \
    GetMenuInfo, N, <.hmenu, .LPMENUINFO>,  'GetMenuInfo',  \
    GetMenuItemCount, N, <.hMenu>,  'GetMenuItemCount',  \
    GetMenuItemID, N, <.hMenu, .nPos>,  'GetMenuItemID',  \
    GetMenuItemInfo, A, <.hMenu, .un, .fBoolean, .lpMenuItemInfo>,  'GetMenuItemInfoA',  \
    GetMenuItemInfo, W, <.hMenu, .un, .fBoolean, .lpMenuItemInfo>,  'GetMenuItemInfoW',  \
    GetMenuItemRect, N, <.hWnd, .hMenu, .uItem, .lprcItem>,  'GetMenuItemRect',  \
    GetMenuState, N, <.hMenu, .wID, .wFlags>,  'GetMenuState',  \
    GetMenuString, A, <.hMenu, .wIDItem, .lpString, .nMaxCount, .wFlags>,  'GetMenuStringA',  \
    GetMenuString, W, <.hMenu, .wIDItem, .lpString, .nMaxCount, .wFlags>,  'GetMenuStringW',  \
    GetMessage, A, <.lpMsg, .hwnd, .wMsgFilterMin, .wMsgFilterMax>,  'GetMessageA',  \
    GetMessageExtraInfo, N, <VOID>,  'GetMessageExtraInfo',  \
    GetMessagePos, N, <VOID>,  'GetMessagePos',  \
    GetMessageTime, N, <VOID>,  'GetMessageTime',  \
    GetMessage, W, <.lpMsg, .hwnd, .wMsgFilterMin, .wMsgFilterMax>,  'GetMessageW',  \
    GetMonitorInfo, A, <.hMonitor, .lpmi>,  'GetMonitorInfoA',  \
    GetMonitorInfo, W, <.hMonitor, .lpmi>,  'GetMonitorInfoW',  \
    GetMouseMovePointsEx, N, <.cbSize, .lppt, .lpptBuf, .nBufPoints, .resolution>,  'GetMouseMovePointsEx',  \
    GetNextDlgGroupItem, N, <.hDlg, .hCtl, .bPrevious>,  'GetNextDlgGroupItem',  \
    GetNextDlgTabItem, N, <.hDlg, .hCtl, .bPrevious>,  'GetNextDlgTabItem',  \
    GetOpenClipboardWindow, N, <VOID>,  'GetOpenClipboardWindow',  \
    GetParent, N, <.hwnd>,  'GetParent',  \
    GetPriorityClipboardFormat, N, <.lpPriorityList, .nCount>,  'GetPriorityClipboardFormat',  \
    GetProcessDefaultLayout, N, <.pdwDefaultLayout>,  'GetProcessDefaultLayout',  \
    GetProcessWindowStation, N, <VOID>,  'GetProcessWindowStation',  \
    GetProgmanWindow, N, <NONE>,  'GetProgmanWindow',  \
    GetProp, A, <.hwnd, .lpString>,  'GetPropA',  \
    GetProp, W, <.hwnd, .lpString>,  'GetPropW',  \
    GetQueueStatus, N, <.fuFlags>,  'GetQueueStatus',  \
    GetRawInputBuffer, N, <NONE>,  'GetRawInputBuffer',  \
    GetRawInputData, N, <NONE>,  'GetRawInputData',  \
    GetRawInputDeviceInfo, A, <NONE>,  'GetRawInputDeviceInfoA',  \
    GetRawInputDeviceInfo, W, <NONE>,  'GetRawInputDeviceInfoW',  \
    GetRawInputDeviceList, N, <NONE>,  'GetRawInputDeviceList',  \
    GetReasonTitleFromReasonCode, N, <NONE>,  'GetReasonTitleFromReasonCode',  \
    GetRegisteredRawInputDevices, N, <NONE>,  'GetRegisteredRawInputDevices',  \
    GetScrollBarInfo, N, <.hwnd, .idObject, .psbi>,  'GetScrollBarInfo',  \
    GetScrollInfo, N, <.hWnd, .n, .lpScrollInfo>,  'GetScrollInfo',  \
    GetScrollPos, N, <.hwnd, .nBar>,  'GetScrollPos',  \
    GetScrollRange, N, <.hwnd, .nBar, .lpMinPos, .lpMaxPos>,  'GetScrollRange',  \
    GetShellWindow, N, <NONE>,  'GetShellWindow',  \
    GetSubMenu, N, <.hMenu, .nPos>,  'GetSubMenu',  \
    GetSysColor, N, <.nSysColor>,  'GetSysColor',  \
    GetSysColorBrush, N, <.nSysColor>,  'GetSysColorBrush',  \
    GetSystemMenu, N, <.hwnd, .fBoolean>,  'GetSystemMenu',  \
    GetSystemMetrics, N, <.nIndex>,  'GetSystemMetrics',  \
    GetTabbedTextExtent, A, <.hdc, .lpString, .nCount, .nTabPositions, .lpnTabStopPositions>,  'GetTabbedTextExtentA',  \
    GetTabbedTextExtent, W, <.hdc, .lpString, .nCount, .nTabPositions, .lpnTabStopPositions>,  'GetTabbedTextExtentW',  \
    GetTaskmanWindow, N, <NONE>,  'GetTaskmanWindow',  \
    GetThreadDesktop, N, <.dwThread>,  'GetThreadDesktop',  \
    GetTitleBarInfo, N, <.hwnd, .pti>,  'GetTitleBarInfo',  \
    GetTopWindow, N, <.hwnd>,  'GetTopWindow',  \
    GetUpdateRect, N, <.hwnd, .lpRect, .bErase>,  'GetUpdateRect',  \
    GetUpdateRgn, N, <.hwnd, .hRgn, .fErase>,  'GetUpdateRgn',  \
    GetUserObjectInformation, A, <.hObj, .nIndex, .pvInfo, .nLength, .lpnLengthNeeded>,  'GetUserObjectInformationA',  \
    GetUserObjectInformation, W, <.hObj, .nIndex, .pvInfo, .nLength, .lpnLengthNeeded>,  'GetUserObjectInformationW',  \
    GetUserObjectSecurity, N, <.hObj, .pSIRequested, .pSd, .nLength, .lpnLengthNeeded>,  'GetUserObjectSecurity',  \
    GetWinStationInfo, N, <NONE>,  'GetWinStationInfo',  \
    GetWindow, N, <.hwnd, .wCmd>,  'GetWindow',  \
    GetWindowContextHelpId, N, <.hWnd>,  'GetWindowContextHelpId',  \
    GetWindowDC, N, <.hwnd>,  'GetWindowDC',  \
    GetWindowInfo, N, <.hwnd, .pwi>,  'GetWindowInfo',  \
    GetWindowLong, A, <.hwnd, .nIndex>,  'GetWindowLongA',  \
    GetWindowLong, W, <.hwnd, .nIndex>,  'GetWindowLongW',  \
    GetWindowModuleFileName, A, <.hwnd, .pszFileName, .cchFileNameMax>,  'GetWindowModuleFileNameA',  \
    GetWindowModuleFileName, W, <.hwnd, .pszFileName, .cchFileNameMax>,  'GetWindowModuleFileNameW',  \
    GetWindowPlacement, N, <.hwnd, .lpwndpl>,  'GetWindowPlacement',  \
    GetWindowRect, N, <.hwnd, .lpRect>,  'GetWindowRect',  \
    GetWindowRgn, N, <.hWnd, .hRgn>,  'GetWindowRgn',  \
    GetWindowRgnBox, N, <NONE>,  'GetWindowRgnBox',  \
    GetWindowText, A, <.hwnd, .lpString, .cch>,  'GetWindowTextA',  \
    GetWindowTextLength, A, <.hwnd>,  'GetWindowTextLengthA',  \
    GetWindowTextLength, W, <.hwnd>,  'GetWindowTextLengthW',  \
    GetWindowText, W, <.hwnd, .lpString, .cch>,  'GetWindowTextW',  \
    GetWindowThreadProcessId, N, <.hwnd, .lpdwProcessId>,  'GetWindowThreadProcessId',  \
    GetWindowWord, N, <.hwnd, .nIndex>,  'GetWindowWord',  \
    GrayString, A, <.hDC, .hBrush, .lpOutputFunc, .lpData, .nCount, .X, .Y, .nWidth, .nHeight>,  'GrayStringA',  \
    GrayString, W, <.hDC, .hBrush, .lpOutputFunc, .lpData, .nCount, .X, .Y, .nWidth, .nHeight>,  'GrayStringW',  \
    HideCaret, N, <.hwnd>,  'HideCaret',  \
    HiliteMenuItem, N, <.hwnd, .hMenu, .wIDHiliteItem, .wHilite>,  'HiliteMenuItem',  \
    IMPGetIME, A, <.hwnd, .LPIMEPROA>,  'IMPGetIMEA',  \
    IMPGetIME, W, <.hwnd, .LPIMEPROA>,  'IMPGetIMEW',  \
    IMPQueryIME, A, <.LPIMEPROA>,  'IMPQueryIMEA',  \
    IMPQueryIME, W, <.LPIMEPROA>,  'IMPQueryIMEW',  \
    IMPSetIME, A, <.hwnd, .LPIMEPROA>,  'IMPSetIMEA',  \
    IMPSetIME, W, <.hwnd, .LPIMEPROA>,  'IMPSetIMEW',  \
    ImpersonateDdeClientWindow, N, <.hWndClient, .hWndServer>,  'ImpersonateDdeClientWindow',  \
    InSendMessage, N, <VOID>,  'InSendMessage',  \
    InSendMessageEx, N, <.lpReserved>,  'InSendMessageEx',  \
    InflateRect, N, <.lpRect, .x, .y>,  'InflateRect',  \
    InitializeLpkHooks, N, <NONE>,  'InitializeLpkHooks',  \
    InitializeWin32EntryTable, N, <NONE>,  'InitializeWin32EntryTable',  \
    InsertMenu, A, <.hMenu, .nPosition, .wFlags, .wIDNewItem, .lpNewItem>,  'InsertMenuA',  \
    InsertMenuItem, A, <.hMenu, .uItem, .bool, .ByRef>,  'InsertMenuItemA',  \
    InsertMenuItem, W, <.hMenu, .uItem, .bool, .ByRef>,  'InsertMenuItemW',  \
    InsertMenu, W, <.hMenu, .nPosition, .wFlags, .wIDNewItem, .lpNewItem>,  'InsertMenuW',  \
    InternalGetWindowText, N, <NONE>,  'InternalGetWindowText',  \
    IntersectRect, N, <.lpDestRect, .lpSrc1Rect, .lpSrc2Rect>,  'IntersectRect',  \
    InvalidateRect, N, <.hwnd, .lpRect, .fBoolean>,  'InvalidateRect',  \
    InvalidateRgn, N, <.hwnd, .hRgn, .bErase>,  'InvalidateRgn',  \
    InvertRect, N, <.hdc, .lpRect>,  'InvertRect',  \
    IsCharAlpha, A, <.cChar>,  'IsCharAlphaA',  \
    IsCharAlphaNumeric, A, <.cChar>,  'IsCharAlphaNumericA',  \
    IsCharAlphaNumeric, W, <.cChar>,  'IsCharAlphaNumericW',  \
    IsCharAlpha, W, <.cChar>,  'IsCharAlphaW',  \
    IsCharLower, A, <.cChar>,  'IsCharLowerA',  \
    IsCharLower, W, <.cChar>,  'IsCharLowerW',  \
    IsCharUpper, A, <.cChar>,  'IsCharUpperA',  \
    IsCharUpper, W, <.cChar>,  'IsCharUpperW',  \
    IsChild, N, <.hWndParent, .hwnd>,  'IsChild',  \
    IsClipboardFormatAvailable, N, <.wFormat>,  'IsClipboardFormatAvailable',  \
    IsDialogMessage, A, <.hDlg, .lpMsg>,  'IsDialogMessageA',  \
    IsDialogMessage, W, <.hDlg, .lpMsg>,  'IsDialogMessageW',  \
    IsDlgButtonChecked, N, <.hDlg, .nIDButton>,  'IsDlgButtonChecked',  \
    IsGUIThread, N, <NONE>,  'IsGUIThread',  \
    IsHungAppWindow, N, <NONE>,  'IsHungAppWindow',  \
    IsIconic, N, <.hwnd>,  'IsIconic',  \
    IsMenu, N, <.hMenu>,  'IsMenu',  \
    IsRectEmpty, N, <.lpRect>,  'IsRectEmpty',  \
    IsServerSideWindow, N, <NONE>,  'IsServerSideWindow',  \
    IsWinEventHookInstalled, N, <NONE>,  'IsWinEventHookInstalled',  \
    IsWindow, N, <.hwnd>,  'IsWindow',  \
    IsWindowEnabled, N, <.hwnd>,  'IsWindowEnabled',  \
    IsWindowInDestroy, N, <NONE>,  'IsWindowInDestroy',  \
    IsWindowUnicode, N, <.hwnd>,  'IsWindowUnicode',  \
    IsWindowVisible, N, <.hwnd>,  'IsWindowVisible',  \
    IsZoomed, N, <.hwnd>,  'IsZoomed',  \
    KillSystemTimer, N, <NONE>,  'KillSystemTimer',  \
    KillTimer, N, <.hwnd, .nIDEvent>,  'KillTimer',  \
    LoadAccelerators, A, <.hInstance, .lpTableName>,  'LoadAcceleratorsA',  \
    LoadAccelerators, W, <.hInstance, .lpTableName>,  'LoadAcceleratorsW',  \
    LoadBitmap, A, <.hInstance, .lpBitmapName>,  'LoadBitmapA',  \
    LoadBitmap, W, <.hInstance, .lpBitmapName>,  'LoadBitmapW',  \
    LoadCursor, A, <.hInstance, .lpCursorName>,  'LoadCursorA',  \
    LoadCursorFromFile, A, <.lpFileName>,  'LoadCursorFromFileA',  \
    LoadCursorFromFile, W, <.lpFileName>,  'LoadCursorFromFileW',  \
    LoadCursor, W, <.hInstance, .lpCursorName>,  'LoadCursorW',  \
    LoadIcon, A, <.hInstance, .lpIconName>,  'LoadIconA',  \
    LoadIcon, W, <.hInstance, .lpIconName>,  'LoadIconW',  \
    LoadImage, A, <.hInst, .lpsz, .uType, .n1, .n2, .uFlags>,  'LoadImageA',  \
    LoadImage, W, <.hInst, .lpsz, .uType, .n1, .n2, .uFlags>,  'LoadImageW',  \
    LoadKeyboardLayout, A, <.pwszKLID, .flags>,  'LoadKeyboardLayoutA',  \
    LoadKeyboardLayoutEx, N, <NONE>,  'LoadKeyboardLayoutEx',  \
    LoadKeyboardLayout, W, <.pwszKLID, .flags>,  'LoadKeyboardLayoutW',  \
    LoadLocalFonts, N, <NONE>,  'LoadLocalFonts',  \
    LoadMenu, A, <.hInstance, .lpString>,  'LoadMenuA',  \
    LoadMenuIndirect, A, <.lpMenuTemplate>,  'LoadMenuIndirectA',  \
    LoadMenuIndirect, W, <.lpMenuTemplate>,  'LoadMenuIndirectW',  \
    LoadMenu, W, <.hInstance, .lpString>,  'LoadMenuW',  \
    LoadRemoteFonts, N, <NONE>,  'LoadRemoteFonts',  \
    LoadString, A, <.hInstance, .wID, .lpBuffer, .nBufferMax>,  'LoadStringA',  \
    LoadString, W, <.hInstance, .wID, .lpBuffer, .nBufferMax>,  'LoadStringW',  \
    LockSetForegroundWindow, N, <.uLockCode>,  'LockSetForegroundWindow',  \
    LockWindowStation, N, <NONE>,  'LockWindowStation',  \
    LockWindowUpdate, N, <.hwndLock>,  'LockWindowUpdate',  \
    LockWorkStation, N, <VOID>,  'LockWorkStation',  \
    LookupIconIdFromDirectory, N, <.presbits, .fIcon>,  'LookupIconIdFromDirectory',  \
    LookupIconIdFromDirectoryEx, N, <.presbits, .fIcon, .cxDesired, .cyDesired, .Flags>,  'LookupIconIdFromDirectoryEx',  \
    MBToWCSEx, N, <NONE>,  'MBToWCSEx',  \
    MB_GetString, N, <NONE>,  'MB_GetString',  \
    MapDialogRect, N, <.hDlg, .lpRect>,  'MapDialogRect',  \
    MapVirtualKey, A, <.wCode, .wMapType>,  'MapVirtualKeyA',  \
    MapVirtualKeyEx, A, <.uCode, .uMapType, .dwhkl>,  'MapVirtualKeyExA',  \
    MapVirtualKeyEx, W, <.uCode, .uMapType, .dwhkl>,  'MapVirtualKeyExW',  \
    MapVirtualKey, W, <.wCode, .wMapType>,  'MapVirtualKeyW',  \
    MapWindowPoints, N, <.hwndFrom, .hwndTo, .lppt, .cPoints>,  'MapWindowPoints',  \
    MenuItemFromPoint, N, <.hWnd, .hMenu, .ptScreen>,  'MenuItemFromPoint',  \
    MenuWindowProc, A, <NONE>,  'MenuWindowProcA',  \
    MenuWindowProc, W, <NONE>,  'MenuWindowProcW',  \
    MessageBeep, N, <.wType>,  'MessageBeep',  \
    MessageBox, A, <.hwnd, .lpText, .lpCaption, .wType>,  'MessageBoxA',  \
    MessageBoxEx, A, <.hwnd, .lpText, .lpCaption, .wType, .wLanguageId>,  'MessageBoxExA',  \
    MessageBoxEx, W, <.hwnd, .lpText, .lpCaption, .wType, .wLanguageId>,  'MessageBoxExW',  \
    MessageBoxIndirect, A, <.lpMsgBoxParams>,  'MessageBoxIndirectA',  \
    MessageBoxIndirect, W, <.lpMsgBoxParams>,  'MessageBoxIndirectW',  \
    MessageBoxTimeout, A, <NONE>,  'MessageBoxTimeoutA',  \
    MessageBoxTimeout, W, <NONE>,  'MessageBoxTimeoutW',  \
    MessageBox, W, <.hwnd, .lpText, .lpCaption, .wType>,  'MessageBoxW',  \
    ModifyMenu, A, <.hMenu, .nPosition, .wFlags, .wIDNewItem, .lpString>,  'ModifyMenuA',  \
    ModifyMenu, W, <.hMenu, .nPosition, .wFlags, .wIDNewItem, .lpString>,  'ModifyMenuW',  \
    MonitorFromPoint, N, <.pt, .dwFlags>,  'MonitorFromPoint',  \
    MonitorFromRect, N, <.lprc, .dwFlags>,  'MonitorFromRect',  \
    MonitorFromWindow, N, <.hwnd, .dwFlags>,  'MonitorFromWindow',  \
    MoveWindow, N, <.hwnd, .x, .y, .nWidth, .nHeight, .fBoolean>,  'MoveWindow',  \
    MsgWaitForMultipleObjects, N, <.nCount, .pHandles, .fWaitAll, .dwMilliseconds, .dwWakeMask>,  'MsgWaitForMultipleObjects',  \
    MsgWaitForMultipleObjectsEx, N, <.nCount, .pHandles, .dwMilliseconds, .dwWakeMask, .dwFlags>,  'MsgWaitForMultipleObjectsEx',  \
    NotifyWinEvent, N, <.lEvent, .hwnd, .idObject, .idChild>,  'NotifyWinEvent',  \
    OemKeyScan, N, <.wOemChar>,  'OemKeyScan',  \
    OemToChar, A, <.lpszSrc, .lpszDst>,  'OemToCharA',  \
    OemToCharBuff, A, <.lpszSrc, .lpszDst, .cchDstLength>,  'OemToCharBuffA',  \
    OemToCharBuff, W, <.lpszSrc, .lpszDst, .cchDstLength>,  'OemToCharBuffW',  \
    OemToChar, W, <.lpszSrc, .lpszDst>,  'OemToCharW',  \
    OffsetRect, N, <.lpRect, .x, .y>,  'OffsetRect',  \
    OpenClipboard, N, <.hwnd>,  'OpenClipboard',  \
    OpenDesktop, A, <.lpszDesktop, .dwFlags, .fInherit, .dwDesiredAccess>,  'OpenDesktopA',  \
    OpenDesktop, W, <.lpszDesktop, .dwFlags, .fInherit, .dwDesiredAccess>,  'OpenDesktopW',  \
    OpenIcon, N, <.hwnd>,  'OpenIcon',  \
    OpenInputDesktop, N, <.dwFlags, .fInherit, .dwDesiredAccess>,  'OpenInputDesktop',  \
    OpenWindowStation, A, <.lpszWinSta, .fInherit, .dwDesiredAccess>,  'OpenWindowStationA',  \
    OpenWindowStation, W, <.lpszWinSta, .fInherit, .dwDesiredAccess>,  'OpenWindowStationW',  \
    PackDDElParam, N, <.msg, .uiLo, .uiHi>,  'PackDDElParam',  \
    PaintDesktop, N, <.hdc>,  'PaintDesktop',  \
    PaintMenuBar, N, <NONE>,  'PaintMenuBar',  \
    PeekMessage, A, <.lpMsg, .hwnd, .wMsgFilterMin, .wMsgFilterMax, .wRemoveMsg>,  'PeekMessageA',  \
    PeekMessage, W, <.lpMsg, .hwnd, .wMsgFilterMin, .wMsgFilterMax, .wRemoveMsg>,  'PeekMessageW',  \
    PostMessage, A, <.hwnd, .wMsg, .wParam, .lParam>,  'PostMessageA',  \
    PostMessage, W, <.hwnd, .wMsg, .wParam, .lParam>,  'PostMessageW',  \
    PostQuitMessage, N, <.nExitCode>,  'PostQuitMessage',  \
    PostThreadMessage, A, <.idThread, .msg, .wParam, .lParam>,  'PostThreadMessageA',  \
    PostThreadMessage, W, <.idThread, .msg, .wParam, .lParam>,  'PostThreadMessageW',  \
    PrintWindow, N, <.hWnd, .hdcBlt, .nFlags>,  'PrintWindow',  \
    PrivateExtractIconEx, A, <NONE>,  'PrivateExtractIconExA',  \
    PrivateExtractIconEx, W, <NONE>,  'PrivateExtractIconExW',  \
    PrivateExtractIcons, A, <NONE>,  'PrivateExtractIconsA',  \
    PrivateExtractIcons, W, <NONE>,  'PrivateExtractIconsW',  \
    PrivateSetDbgTag, N, <NONE>,  'PrivateSetDbgTag',  \
    PrivateSetRipFlags, N, <NONE>,  'PrivateSetRipFlags',  \
    PtInRect, N, <.lpRect, .x, .y>,  'PtInRect',  \
    QuerySendMessage, N, <NONE>,  'QuerySendMessage',  \
    QueryUserCounters, N, <NONE>,  'QueryUserCounters',  \
    RealChildWindowFromPoint, N, <.hwndParent, .ptParentClientCoords>,  'RealChildWindowFromPoint',  \
    RealGetWindowClass, A, <.hwnd, .pszType, .cchType>,  'RealGetWindowClassA',  \
    RealGetWindowClass, W, <.hwnd, .pszType, .cchType>,  'RealGetWindowClassW',  \
    ReasonCodeNeedsBugID, N, <NONE>,  'ReasonCodeNeedsBugID',  \
    ReasonCodeNeedsComment, N, <NONE>,  'ReasonCodeNeedsComment',  \
    RecordShutdownReason, N, <NONE>,  'RecordShutdownReason',  \
    RedrawWindow, N, <.hwnd, .lprcUpdate, .hrgnUpdate, .fuRedraw>,  'RedrawWindow',  \
    RegisterClass, A, <.Class>,  'RegisterClassA',  \
    RegisterClassEx, A, <.pcWndClassEx>,  'RegisterClassExA',  \
    RegisterClassEx, W, <.pcWndClassEx>,  'RegisterClassExW',  \
    RegisterClass, W, <.Class>,  'RegisterClassW',  \
    RegisterClipboardFormat, A, <.lpString>,  'RegisterClipboardFormatA',  \
    RegisterClipboardFormat, W, <.lpString>,  'RegisterClipboardFormatW',  \
    RegisterDeviceNotification, A, <.hRecipient, .NotificationFilter, .Flags>,  'RegisterDeviceNotificationA',  \
    RegisterDeviceNotification, W, <.hRecipient, .NotificationFilter, .Flags>,  'RegisterDeviceNotificationW',  \
    RegisterHotKey, N, <.hwnd, .id, .fsModifiers, .vk>,  'RegisterHotKey',  \
    RegisterLogonProcess, N, <NONE>,  'RegisterLogonProcess',  \
    RegisterMessagePumpHook, N, <NONE>,  'RegisterMessagePumpHook',  \
    RegisterRawInputDevices, N, <NONE>,  'RegisterRawInputDevices',  \
    RegisterServicesProcess, N, <NONE>,  'RegisterServicesProcess',  \
    RegisterShellHookWindow, N, <NONE>,  'RegisterShellHookWindow',  \
    RegisterSystemThread, N, <NONE>,  'RegisterSystemThread',  \
    RegisterTasklist, N, <NONE>,  'RegisterTasklist',  \
    RegisterUserApiHook, N, <NONE>,  'RegisterUserApiHook',  \
    RegisterWindowMessage, A, <.lpString>,  'RegisterWindowMessageA',  \
    RegisterWindowMessage, W, <.lpString>,  'RegisterWindowMessageW',  \
    ReleaseCapture, N, <VOID>,  'ReleaseCapture',  \
    ReleaseDC, N, <.hwnd, .hdc>,  'ReleaseDC',  \
    RemoveMenu, N, <.hMenu, .nPosition, .wFlags>,  'RemoveMenu',  \
    RemoveProp, A, <.hwnd, .lpString>,  'RemovePropA',  \
    RemoveProp, W, <.hwnd, .lpString>,  'RemovePropW',  \
    ReplyMessage, N, <.lReply>,  'ReplyMessage',  \
    ResolveDesktopForWO, W, <NONE>,  'ResolveDesktopForWOW',  \
    ReuseDDElParam, N, <.lParam, .msgIn, .msgOut, .uiLo, .uiHi>,  'ReuseDDElParam',  \
    ScreenToClient, N, <.hwnd, .lpPoint>,  'ScreenToClient',  \
    ScrollChildren, N, <NONE>,  'ScrollChildren',  \
    ScrollDC, N, <.hdc, .dx, .dy, .lprcScroll, .lprcClip, .hrgnUpdate, .lprcUpdate>,  'ScrollDC',  \
    ScrollWindow, N, <.hWnd, .XAmount, .YAmount, .lpRect, .lpClipRect>,  'ScrollWindow',  \
    ScrollWindowEx, N, <.hwnd, .dx, .dy, .lprcScroll, .lprcClip, .hrgnUpdate, .lprcUpdate, .fuScroll>,  'ScrollWindowEx',  \
    SendDlgItemMessage, A, <.hDlg, .nIDDlgItem, .wMsg, .wParam, .lParam>,  'SendDlgItemMessageA',  \
    SendDlgItemMessage, W, <.hDlg, .nIDDlgItem, .wMsg, .wParam, .lParam>,  'SendDlgItemMessageW',  \
    SendIMEMessageEx, A, <.hwnd, .lparam>,  'SendIMEMessageExA',  \
    SendIMEMessageEx, W, <.hwnd, .lparam>,  'SendIMEMessageExW',  \
    SendInput, N, <.cInputs, .pInputs, .cbSize>,  'SendInput',  \
    SendMessage, A, <.hwnd, .wMsg, .wParam, .lParam>,  'SendMessageA',  \
    SendMessageCallback, A, <.hwnd, .wMsg, .wParam, .lParam, .lpResultCallBack, .dwData>,  'SendMessageCallbackA',  \
    SendMessageCallback, W, <.hwnd, .wMsg, .wParam, .lParam, .lpResultCallBack, .dwData>,  'SendMessageCallbackW',  \
    SendMessageTimeout, A, <.hwnd, .msg, .wParam, .lParam, .fuFlags, .uTimeout, .lpdwResult>,  'SendMessageTimeoutA',  \
    SendMessageTimeout, W, <.hwnd, .msg, .wParam, .lParam, .fuFlags, .uTimeout, .lpdwResult>,  'SendMessageTimeoutW',  \
    SendMessage, W, <.hwnd, .wMsg, .wParam, .lParam>,  'SendMessageW',  \
    SendNotifyMessage, A, <.hwnd, .msg, .wParam, .lParam>,  'SendNotifyMessageA',  \
    SendNotifyMessage, W, <.hwnd, .msg, .wParam, .lParam>,  'SendNotifyMessageW',  \
    SetActiveWindow, N, <.hwnd>,  'SetActiveWindow',  \
    SetCapture, N, <.hwnd>,  'SetCapture',  \
    SetCaretBlinkTime, N, <.wMSeconds>,  'SetCaretBlinkTime',  \
    SetCaretPos, N, <.x, .y>,  'SetCaretPos',  \
    SetClassLong, A, <.hwnd, .nIndex, .dwNewLong>,  'SetClassLongA',  \
    SetClassLong, W, <.hwnd, .nIndex, .dwNewLong>,  'SetClassLongW',  \
    SetClassWord, N, <.hwnd, .nIndex, .wNewWord>,  'SetClassWord',  \
    SetClipboardData, N, <.uFormat, .hMem>,  'SetClipboardData',  \
    SetClipboardViewer, N, <.hwnd>,  'SetClipboardViewer',  \
    SetConsoleReserveKeys, N, <NONE>,  'SetConsoleReserveKeys',  \
    SetCursor, N, <.hCursor>,  'SetCursor',  \
    SetCursorContents, N, <NONE>,  'SetCursorContents',  \
    SetCursorPos, N, <.x, .y>,  'SetCursorPos',  \
    SetDebugErrorLevel, N, <.dwLevel>,  'SetDebugErrorLevel',  \
    SetDeskWallpaper, N, <NONE>,  'SetDeskWallpaper',  \
    SetDlgItemInt, N, <.hDlg, .nIDDlgItem, .wValue, .bSigned>,  'SetDlgItemInt',  \
    SetDlgItemText, A, <.hDlg, .nIDDlgItem, .lpString>,  'SetDlgItemTextA',  \
    SetDlgItemText, W, <.hDlg, .nIDDlgItem, .lpString>,  'SetDlgItemTextW',  \
    SetDoubleClickTime, N, <.wCount>,  'SetDoubleClickTime',  \
    SetFocus, N, <.hwnd>,  'SetFocus',  \
    SetForegroundWindow, N, <.hwnd>,  'SetForegroundWindow',  \
    SetInternalWindowPos, N, <NONE>,  'SetInternalWindowPos',  \
    SetKeyboardState, N, <.lppbKeyState>,  'SetKeyboardState',  \
    SetLastErrorEx, N, <.dwErrCode, .dwType>,  'SetLastErrorEx',  \
    SetLayeredWindowAttributes, N, <.hwnd, .crKey, .bAlpha, .dwFlags>,  'SetLayeredWindowAttributes',  \
    SetLogonNotifyWindow, N, <NONE>,  'SetLogonNotifyWindow',  \
    SetMenu, N, <.hwnd, .hMenu>,  'SetMenu',  \
    SetMenuContextHelpId, N, <.hMenu, .dw>,  'SetMenuContextHelpId',  \
    SetMenuDefaultItem, N, <.hMenu, .uItem, .fByPos>,  'SetMenuDefaultItem',  \
    SetMenuInfo, N, <.hmenu, .LPCMENUINFO>,  'SetMenuInfo',  \
    SetMenuItemBitmaps, N, <.hMenu, .nPosition, .wFlags, .hBitmapUnchecked, .hBitmapChecked>,  'SetMenuItemBitmaps',  \
    SetMenuItemInfo, A, <.hMenu, .un, .fBoolean, .lpcMenuItemInfo>,  'SetMenuItemInfoA',  \
    SetMenuItemInfo, W, <.hMenu, .un, .fBoolean, .lpcMenuItemInfo>,  'SetMenuItemInfoW',  \
    SetMessageExtraInfo, N, <.lParam>,  'SetMessageExtraInfo',  \
    SetMessageQueue, N, <.cMessagesMax>,  'SetMessageQueue',  \
    SetParent, N, <.hWndChild, .hWndNewParent>,  'SetParent',  \
    SetProcessDefaultLayout, N, <.dwDefaultLayout>,  'SetProcessDefaultLayout',  \
    SetProcessWindowStation, N, <.hWinSta>,  'SetProcessWindowStation',  \
    SetProgmanWindow, N, <NONE>,  'SetProgmanWindow',  \
    SetProp, A, <.hwnd, .lpString, .hData>,  'SetPropA',  \
    SetProp, W, <.hwnd, .lpString, .hData>,  'SetPropW',  \
    SetRect, N, <.lpRect, .X1, .Y1, .X2, .Y2>,  'SetRect',  \
    SetRectEmpty, N, <.lpRect>,  'SetRectEmpty',  \
    SetScrollInfo, N, <.hWnd, .n, .lpcScrollInfo, .bool>,  'SetScrollInfo',  \
    SetScrollPos, N, <.hwnd, .nBar, .nPos, .fBoolean>,  'SetScrollPos',  \
    SetScrollRange, N, <.hwnd, .nBar, .nMinPos, .nMaxPos, .bRedraw>,  'SetScrollRange',  \
    SetShellWindow, N, <NONE>,  'SetShellWindow',  \
    SetShellWindowEx, N, <NONE>,  'SetShellWindowEx',  \
    SetSysColors, N, <.nChanges, .lpSysColor, .lpColorValues>,  'SetSysColors',  \
    SetSysColorsTemp, N, <NONE>,  'SetSysColorsTemp',  \
    SetSystemCursor, N, <.hcur, .id>,  'SetSystemCursor',  \
    SetSystemMenu, N, <NONE>,  'SetSystemMenu',  \
    SetSystemTimer, N, <NONE>,  'SetSystemTimer',  \
    SetTaskmanWindow, N, <NONE>,  'SetTaskmanWindow',  \
    SetThreadDesktop, N, <.hDesktop>,  'SetThreadDesktop',  \
    SetTimer, N, <.hWnd, .nIDEvent, .uElapse, .lpTimerFunc>,  'SetTimer',  \
    SetUserObjectInformation, A, <.hObj, .nIndex, .pvInfo, .nLength>,  'SetUserObjectInformationA',  \
    SetUserObjectInformation, W, <.hObj, .nIndex, .pvInfo, .nLength>,  'SetUserObjectInformationW',  \
    SetUserObjectSecurity, N, <.hObj, .pSIRequested, .pSd>,  'SetUserObjectSecurity',  \
    SetWinEventHook, N, <.eventMin, .eventMax, .hmodWinEventProc, .pfnWinEventProc, .idProcess, .idThread, .dwFlags>,  'SetWinEventHook',  \
    SetWindowContextHelpId, N, <.hWnd, .dw>,  'SetWindowContextHelpId',  \
    SetWindowLong, A, <.hwnd, .nIndex, .dwNewLong>,  'SetWindowLongA',  \
    SetWindowLong, W, <.hwnd, .nIndex, .dwNewLong>,  'SetWindowLongW',  \
    SetWindowPlacement, N, <.hwnd, .lpwndpl>,  'SetWindowPlacement',  \
    SetWindowPos, N, <.hwnd, .hWndInsertAfter, .x, .y, .cx, .cy, .wFlags>,  'SetWindowPos',  \
    SetWindowRgn, N, <.hWnd, .hRgn, .bRedraw>,  'SetWindowRgn',  \
    SetWindowStationUser, N, <NONE>,  'SetWindowStationUser',  \
    SetWindowText, A, <.hwnd, .lpString>,  'SetWindowTextA',  \
    SetWindowText, W, <.hwnd, .lpString>,  'SetWindowTextW',  \
    SetWindowWord, N, <.hwnd, .nIndex, .wNewWord>,  'SetWindowWord',  \
    SetWindowsHook, A, <.nFilterType, .pfnFilterProc>,  'SetWindowsHookA',  \
    SetWindowsHookEx, A, <.idHook, .lpfn, .hmod, .dwThreadId>,  'SetWindowsHookExA',  \
    SetWindowsHookEx, W, <.idHook, .lpfn, .hmod, .dwThreadId>,  'SetWindowsHookExW',  \
    SetWindowsHook, W, <.nFilterType, .pfnFilterProc>,  'SetWindowsHookW',  \
    ShowCaret, N, <.hwnd>,  'ShowCaret',  \
    ShowCursor, N, <.bShow>,  'ShowCursor',  \
    ShowOwnedPopups, N, <.hwnd, .fBoolean>,  'ShowOwnedPopups',  \
    ShowScrollBar, N, <.hwnd, .wBar, .bShow>,  'ShowScrollBar',  \
    ShowStartGlass, N, <NONE>,  'ShowStartGlass',  \
    ShowWindow, N, <.hwnd, .nCmdShow>,  'ShowWindow',  \
    ShowWindowAsync, N, <.hWnd, .nCmdShow>,  'ShowWindowAsync',  \
    SoftModalMessageBox, N, <NONE>,  'SoftModalMessageBox',  \
    SubtractRect, N, <.lprcDst, .lprcSrc1, .lprcSrc2>,  'SubtractRect',  \
    SwapMouseButton, N, <.bSwap>,  'SwapMouseButton',  \
    SwitchDesktop, N, <.hDesktop>,  'SwitchDesktop',  \
    SwitchToThisWindow, N, <NONE>,  'SwitchToThisWindow',  \
    SystemParametersInfo, A, <.uAction, .uParam, .ByRef, .fuWinIni>,  'SystemParametersInfoA',  \
    SystemParametersInfo, W, <.uAction, .uParam, .ByRef, .fuWinIni>,  'SystemParametersInfoW',  \
    TabbedTextOut, A, <.hdc, .x, .y, .lpString, .nCount, .nTabPositions, .lpnTabStopPositions, .nTabOrigin>,  'TabbedTextOutA',  \
    TabbedTextOut, W, <.hdc, .x, .y, .lpString, .nCount, .nTabPositions, .lpnTabStopPositions, .nTabOrigin>,  'TabbedTextOutW',  \
    TileChildWindows, N, <NONE>,  'TileChildWindows',  \
    TileWindows, N, <.hwndParent, .wHow, .lpRect, .cKids, .lpKids>,  'TileWindows',  \
    ToAscii, N, <.uVirtKey, .uScanCode, .lpbKeyState, .lpwTransKey, .fuState>,  'ToAscii',  \
    ToAsciiEx, N, <.uVirtKey, .uScanCode, .lpKeyState, .lpChar, .uFlags, .dwhkl>,  'ToAsciiEx',  \
    ToUnicode, N, <.wVirtKey, .wScanCode, .lpKeyState, .pwszBuff, .cchBuff, .wFlags>,  'ToUnicode',  \
    ToUnicodeEx, N, <.wVirtKey, .wScanCode, .lpKeyState, .pwszBuff, .cchBuff, .wFlags, .dwhkl>,  'ToUnicodeEx',  \
    TrackMouseEvent, N, <.lpEventTrack>,  'TrackMouseEvent',  \
    TrackPopupMenu, N, <.hMenu, .uFlags, .x, .y, .nReserved, .hwnd, .lprc>,  'TrackPopupMenu',  \
    TrackPopupMenuEx, N, <.hMenu, .un, .n1, .n2, .hWnd, .lpTPMParams>,  'TrackPopupMenuEx',  \
    TranslateAccelerator, A, <.hwnd, .hAccTable, .lpMsg>,  'TranslateAcceleratorA',  \
    TranslateAccelerator, W, <.hwnd, .hAccTable, .lpMsg>,  'TranslateAcceleratorW',  \
    TranslateMDISysAccel, N, <.hWndClient, .lpMsg>,  'TranslateMDISysAccel',  \
    TranslateMessage, N, <.lpMsg>,  'TranslateMessage',  \
    TranslateMessageEx, N, <NONE>,  'TranslateMessageEx',  \
    UnhookWinEvent, N, <.hWinEventHook>,  'UnhookWinEvent',  \
    UnhookWindowsHook, N, <.nCode, .pfnFilterProc>,  'UnhookWindowsHook',  \
    UnhookWindowsHookEx, N, <.hHook>,  'UnhookWindowsHookEx',  \
    UnionRect, N, <.lpDestRect, .lpSrc1Rect, .lpSrc2Rect>,  'UnionRect',  \
    UnloadKeyboardLayout, N, <.HKL>,  'UnloadKeyboardLayout',  \
    UnlockWindowStation, N, <NONE>,  'UnlockWindowStation',  \
    UnpackDDElParam, N, <.msg, .lParam, .puiLo, .puiHi>,  'UnpackDDElParam',  \
    UnregisterClass, A, <.lpClassName, .hInstance>,  'UnregisterClassA',  \
    UnregisterClass, W, <.lpClassName, .hInstance>,  'UnregisterClassW',  \
    UnregisterDeviceNotification, N, <.Handle>,  'UnregisterDeviceNotification',  \
    UnregisterHotKey, N, <.hwnd, .id>,  'UnregisterHotKey',  \
    UnregisterMessagePumpHook, N, <NONE>,  'UnregisterMessagePumpHook',  \
    UnregisterUserApiHook, N, <NONE>,  'UnregisterUserApiHook',  \
    UpdateLayeredWindow, N, <.hWnd, .hdcDst, .pptDst, .psize, .hdcSrc, .pptSrc, .crKey, .pblend, .dwFlags>,  'UpdateLayeredWindow',  \
    UpdatePerUserSystemParameters, N, <NONE>,  'UpdatePerUserSystemParameters',  \
    UpdateWindow, N, <.hwnd>,  'UpdateWindow',  \
    User32InitializeImmEntryTable, N, <NONE>,  'User32InitializeImmEntryTable',  \
    UserClientDllInitialize, N, <NONE>,  'UserClientDllInitialize',  \
    UserHandleGrantAccess, N, <.hUserHandle, .hJob, .bGrant>,  'UserHandleGrantAccess',  \
    UserLpkPSMTextOut, N, <NONE>,  'UserLpkPSMTextOut',  \
    UserLpkTabbedTextOut, N, <NONE>,  'UserLpkTabbedTextOut',  \
    UserRealizePalette, N, <NONE>,  'UserRealizePalette',  \
    UserRegisterWowHandlers, N, <NONE>,  'UserRegisterWowHandlers',  \
    VRipOutput, N, <NONE>,  'VRipOutput',  \
    VTagOutput, N, <NONE>,  'VTagOutput',  \
    ValidateRect, N, <.hwnd, .lpRect>,  'ValidateRect',  \
    ValidateRgn, N, <.hwnd, .hRgn>,  'ValidateRgn',  \
    VkKeyScan, A, <.cChar>,  'VkKeyScanA',  \
    VkKeyScanEx, A, <.ch, .dwhkl>,  'VkKeyScanExA',  \
    VkKeyScanEx, W, <.ch, .dwhkl>,  'VkKeyScanExW',  \
    VkKeyScan, W, <.cChar>,  'VkKeyScanW',  \
    WCSToMBEx, N, <NONE>,  'WCSToMBEx',  \
    WINNLSEnableIME, N, <.hwnd, .bool>,  'WINNLSEnableIME',  \
    WINNLSGetEnableStatus, N, <.hwnd>,  'WINNLSGetEnableStatus',  \
    WINNLSGetIMEHotkey, N, <.hwnd>,  'WINNLSGetIMEHotkey',  \
    WaitForInputIdle, N, <.hProcess, .dwMilliseconds>,  'WaitForInputIdle',  \
    WaitMessage, N, <VOID>,  'WaitMessage',  \
    Win32PoolAllocationStats, N, <NONE>,  'Win32PoolAllocationStats',  \
    WinHelp, A, <.hwnd, .lpHelpFile, .wCommand, .dwData>,  'WinHelpA',  \
    WinHelp, W, <.hwnd, .lpHelpFile, .wCommand, .dwData>,  'WinHelpW',  \
    WindowFromDC, N, <.hdc>,  'WindowFromDC',  \
    WindowFromPoint, N, <.xPoint, .yPoint>,  'WindowFromPoint',  \
    keybd_event, N, <.bVk, .bScan, .dwFlags, .dwExtraInfo>,  'keybd_event',  \
    mouse_event, N, <.dwFlags, .dx, .dy, .cButtons, .dwExtraInfo>,  'mouse_event',  \
    wsprintf, A, <.lpOut, .lpFmt, .etc>,  'wsprintfA',  \
    wsprintf, W, <.lpOut, .lpFmt, .etc>,  'wsprintfW',  \
    wvsprintf, A, <NONE>,  'wvsprintfA',  \
    wvsprintf, W, <NONE>,  'wvsprintfW'
