; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: Dynamic memory management library. Linux part.
;
;  Target OS: Linux
;
;  Dependencies:
;
;  Notes: Uses libc (malloc etc.) heap management functions.
;_________________________________________________________________________________________

proc GetMem, .size
begin
        push    ebx ecx edx esi edi

        mov     ebx, [.size]
        add     ebx, 3
        and     bl, $fc          ; align to dword.

        cinvoke malloc, ebx
        test    eax, eax
        jz      .error
        push    eax

        cld
        mov     edi, eax
        mov     ecx, ebx
        shr     ecx, 2
        xor     eax, eax
        rep stosd

        pop     eax
        clc
        pop     edi esi edx ecx ebx
        return

.error:
        stc
        pop     edi esi edx ecx ebx
        return

endp



proc FreeMem, .ptr
begin
        cmp     [.ptr], 0
        je      @f
        pushad
        cinvoke free, [.ptr]
        popad
@@:
        clc
        return
endp




proc ResizeMem, .ptr, .newsize
begin
        push    ebx ecx edx esi edi

        mov     ebx, [.newsize]
        add     ebx, 3
        and     bl, $fc          ; align to dword.

        cinvoke realloc, [.ptr], ebx
        test    eax, eax
        jz      .error

        clc
        pop     edi esi edx ecx ebx
        return

.error:
        stc
        pop     edi esi edx ecx ebx
        return
endp